New Tumbleweed snapshot 20170601 released!

classic Classic list List threaded Threaded
24 messages Options
12
Reply | Threaded
Open this post in threaded view
|

New Tumbleweed snapshot 20170601 released!

Dominique Leuenberger

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170601

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
  Mesa (17.1.0 -> 17.1.1)
  NetworkManager-applet
  NetworkManager-openvpn (1.2.8 -> 1.2.10)
  abiword
  akonadi-import-wizard (17.04.0 -> 17.04.1)
  analitza (17.04.0 -> 17.04.1)
  antlr
  apache-commons-logging
  at-spi2-atk (2.24.0 -> 2.24.1)
  at-spi2-core (2.24.0 -> 2.24.1)
  attica-qt5 (5.33.0 -> 5.34.0)
  baloo5 (5.33.0 -> 5.34.0)
  bea-stax
  blinken (17.04.0 -> 17.04.1)
  bluedevil5 (5.9.5 -> 5.10.0)
  bluez-qt (5.33.0 -> 5.34.0)
  bovo (17.04.0 -> 17.04.1)
  breeze (5.9.5 -> 5.10.0)
  breeze-gtk (5.9.5 -> 5.10.0)
  breeze4-style (5.9.5 -> 5.10.0)
  breeze5-icons (5.33.0 -> 5.34.0)
  cervisia (17.04.0 -> 17.04.1)
  chrome-gnome-shell (8.2 -> 9)
  clutter (1.26.0 -> 1.26.2)
  cmake (3.7.2 -> 3.8.1)
  crash (7.1.8_k4.11.2_1 -> 7.1.8_k4.11.3_1)
  digikam
  ecj
  epiphany (3.24.1 -> 3.24.2)
  extra-cmake-modules (5.33.0 -> 5.34.0)
  ffmpegthumbs (17.04.0 -> 17.04.1)
  frameworkintegration (5.33.0 -> 5.34.0)
  geronimo-specs
  gimp (2.8.20 -> 2.8.22)
  glib2
  gnome-control-center
  gnome-documents (3.24.1 -> 3.24.2)
  gnome-maps (3.24.2 -> 3.24.3)
  gnome-music
  gnome-settings-daemon
  gnome-shell (3.24.1 -> 3.24.2)
  gnome-software (3.24.1 -> 3.24.3)
  gpg2
  graphviz
  gspell (1.4.0 -> 1.4.1)
  gtk-vnc (0.7.0 -> 0.7.1)
  gtk3 (3.22.14 -> 3.22.15)
  gtksourceview (3.24.1 -> 3.24.2)
  gtksourceview2
  gtkspell3
  gwenhywfar (4.16.0beta -> 4.17.0)
  ibus-googlepinyin
  ibus-sunpinyin
  ibus-table-chinese
  icecream (1.0.1 -> 1.1rc2)
  java-1_8_0-openjdk (1.8.0.121 -> 1.8.0.131)
  javapackages-tools (4.6.0 -> 4.7.0+git20170331.ef4057e7)
  jline
  juk (17.04.0 -> 17.04.1)
  k3b
  kactivities-stats (5.33.0 -> 5.34.0)
  kactivities5 (5.33.0 -> 5.34.0)
  kactivitymanagerd (5.9.5 -> 5.10.0)
  kalarm (17.04.0 -> 17.04.1)
  kalgebra (17.04.0 -> 17.04.1)
  kanagram (17.04.0 -> 17.04.1)
  kapptemplate (17.04.0 -> 17.04.1)
  karchive (5.33.0 -> 5.34.0)
  katomic (17.04.0 -> 17.04.1)
  kauth (5.33.0 -> 5.34.0)
  kblackbox (17.04.0 -> 17.04.1)
  kblocks (17.04.0 -> 17.04.1)
  kbookmarks (5.33.0 -> 5.34.0)
  kbounce (17.04.0 -> 17.04.1)
  kbreakout (17.04.0 -> 17.04.1)
  kbruch (17.04.0 -> 17.04.1)
  kcachegrind (17.04.0 -> 17.04.1)
  kcm_sddm (5.9.5 -> 5.10.0)
  kcmutils (5.33.0 -> 5.34.0)
  kcodecs (5.33.0 -> 5.34.0)
  kcompletion (5.33.0 -> 5.34.0)
  kconfig (5.33.0 -> 5.34.0)
  kconfigwidgets (5.33.0 -> 5.34.0)
  kcoreaddons (5.33.0 -> 5.34.0)
  kcrash (5.33.0 -> 5.34.0)
  kcron (17.04.0 -> 17.04.1)
  kdbusaddons (5.33.0 -> 5.34.0)
  kde-cli-tools5 (5.9.5 -> 5.10.0)
  kde-gtk-config5 (5.9.5 -> 5.10.0)
  kde-user-manager (5.9.5 -> 5.10.0)
  kdeclarative (5.33.0 -> 5.34.0)
  kded (5.33.0 -> 5.34.0)
  kdelibs4support (5.33.0 -> 5.34.0)
  kdepim-runtime
  kdesignerplugin (5.33.0 -> 5.34.0)
  kdesu (5.33.0 -> 5.34.0)
  kdewebkit (5.33.0 -> 5.34.0)
  kdnssd-framework (5.33.0 -> 5.34.0)
  kdoctools (5.33.0 -> 5.34.0)
  kemoticons (5.33.0 -> 5.34.0)
  kernel-source (4.11.2 -> 4.11.3)
  kfilemetadata5 (5.33.0 -> 5.34.0)
  kgamma5 (5.9.5 -> 5.10.0)
  kglobalaccel (5.33.0 -> 5.34.0)
  kguiaddons (5.33.0 -> 5.34.0)
  khotkeys5 (5.9.5 -> 5.10.0)
  khtml (5.33.0 -> 5.34.0)
  ki18n (5.33.0 -> 5.34.0)
  kiconthemes (5.33.0 -> 5.34.0)
  kidletime (5.33.0 -> 5.34.0)
  kimageformats (5.33.0 -> 5.34.0)
  kinfocenter5 (5.9.5 -> 5.10.0)
  kinit (5.33.0 -> 5.34.0)
  kio-extras5
  kitemmodels (5.33.0 -> 5.34.0)
  kitemviews (5.33.0 -> 5.34.0)
  kjobwidgets (5.33.0 -> 5.34.0)
  kjs (5.33.0 -> 5.34.0)
  kjsembed (5.33.0 -> 5.34.0)
  kmediaplayer (5.33.0 -> 5.34.0)
  kmenuedit5 (5.9.5 -> 5.10.0)
  kmouth (17.04.0 -> 17.04.1)
  knewstuff (5.33.0 -> 5.34.0)
  knotifications (5.33.0 -> 5.34.0)
  knotifyconfig (5.33.0 -> 5.34.0)
  kolourpaint (17.04.0 -> 17.04.1)
  konversation (1.7 -> 1.7.2)
  kpackage (5.33.0 -> 5.34.0)
  kparts (5.33.0 -> 5.34.0)
  kpeople5 (5.33.0 -> 5.34.0)
  kplotting (5.33.0 -> 5.34.0)
  kpty (5.33.0 -> 5.34.0)
  kross (5.33.0 -> 5.34.0)
  krunner (5.33.0 -> 5.34.0)
  kscreen5 (5.9.5 -> 5.10.0)
  kscreenlocker (5.9.5 -> 5.10.0)
  kservice (5.33.0 -> 5.34.0)
  ksshaskpass5 (5.9.5 -> 5.10.0)
  ksysguard5 (5.9.5 -> 5.10.0)
  ktexteditor (5.33.0 -> 5.34.0)
  ktextwidgets (5.33.0 -> 5.34.0)
  kunitconversion (5.33.0 -> 5.34.0)
  kwallet (5.33.0 -> 5.34.0)
  kwayland (5.33.0 -> 5.34.0)
  kwebkitpart
  kwidgetsaddons (5.33.0 -> 5.34.0)
  kwin5 (5.9.5 -> 5.10.0)
  kwindowsystem (5.33.0 -> 5.34.0)
  kxmlgui (5.33.0 -> 5.34.0)
  kxmlrpcclient5 (5.33.0 -> 5.34.0)
  lftp (4.7.4 -> 4.7.7)
  libKF5ModemManagerQt (5.33.0 -> 5.34.0)
  libKF5NetworkManagerQt (5.33.0 -> 5.34.0)
  libgdata (0.17.7 -> 0.17.8)
  libindi (1.3.1 -> 1.4.1)
  libkdecoration2 (5.9.5 -> 5.10.0)
  libkscreen2 (5.9.5 -> 5.10.0)
  libksysguard5 (5.9.5 -> 5.10.0)
  libmwaw (0.3.10 -> 0.3.11)
  liboil
  libopenmpt (0.2.7774~beta22 -> 0.2.8043~beta23)
  librsvg (2.40.16 -> 2.40.17)
  libseccomp (2.3.1 -> 2.3.2)
  libsoup
  libvirt
  milou5 (5.9.5 -> 5.10.0)
  mutt (1.6.2 -> 1.8.2)
  mutter (3.24.1 -> 3.24.2)
  openmpi (1.10.6 -> 1.10.7)
  opus (1.1.4 -> 1.1.5)
  oxygen5 (5.9.5 -> 5.10.0)
  oxygen5-icon-theme (5.33.0 -> 5.34.0)
  pango (1.40.5 -> 1.40.6)
  patterns-gnome
  patterns-kde
  pcsc-lite (1.8.20 -> 1.8.21)
  perl-Expect (1.32 -> 1.35)
  perl-HTML-Template (2.95 -> 2.97)
  perl-Params-Validate (1.27 -> 1.28)
  plasma-framework (5.33.0 -> 5.34.0)
  plasma-nm5 (5.9.5 -> 5.10.0)
  plasma5-addons (5.9.5 -> 5.10.0)
  plasma5-desktop (5.9.5 -> 5.10.0)
  plasma5-integration (5.9.5 -> 5.10.0)
  plasma5-openSUSE
  plasma5-pa (5.9.5 -> 5.10.0)
  plasma5-session (5.9.5 -> 5.10.0)
  plasma5-workspace (5.9.5 -> 5.10.0)
  polkit-kde-agent-5 (5.9.5 -> 5.10.0)
  poppler (0.53.0 -> 0.55.0)
  poppler-qt5 (0.53.0 -> 0.55.0)
  powerdevil5 (5.9.5 -> 5.10.0)
  prison-qt5 (5.33.0 -> 5.34.0)
  procps
  python-gobject
  python-kiwi (9.6.0 -> 9.6.2)
  python-ldap (2.4.30 -> 2.4.39)
  python-qt5
  python-sip
  rhino
  rsyslog (8.26.0 -> 8.27.0)
  sac
  saxon6
  saxon9
  sddm
  simple-scan (3.24.0 -> 3.24.1)
  skype4pidgin (1.2.2 -> 1.4)
  solid (5.33.0 -> 5.34.0)
  sonnet (5.33.0 -> 5.34.0)
  sqlite3 (3.18.0 -> 3.19.2)
  sshfs
  sudo
  syntax-highlighting (5.33.0 -> 5.34.0)
  systemsettings5 (5.9.5 -> 5.10.0)
  threadweaver (5.33.0 -> 5.34.0)
  tmux (2.4 -> 2.5)
  vala (0.36.2 -> 0.36.3)
  vte2
  webkit2gtk3 (2.16.2 -> 2.16.3)
  xerces-j2
  xml-commons
  xmlgraphics-batik (1.8 -> 1.9)
  xmlgraphics-commons

=== Details ===

==== Mesa ====
Version update (17.1.0 -> 17.1.1)
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1 Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva libOSMesa8 libOSMesa8-32bit libgbm1 libvdpau_nouveau libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon libwayland-egl1 libxatracker2

- u_llvmpipe-lp_build_gather_elem_vec-BE-fix-for-3x16-lo.patch
  * Fix loading of a 3x16 vector as a single 48-bit load on
    big-endian systems (PPC64, S390). [fdo#100613]
- update to 17.1.1
- dropped patch:
    fedora_0001-glxglvnddispatch-Add-missing-dispatch-for-GetDriverC.patch
  * fdo#100854 - YUV to RGB Color Space Conversion result is not precise
  * fdo#100925 - [HSW/BSW/BDW/SKL] Google Earth is not resolving
    all the details in the map correctly
  * radeonsi: add new vega10 pci ids
  * gbm/dri: Fix sign-extension in modifier query
  * radeon: automake: remove unneeded elf Cflags/Libs
  * egl: add g_egldispatchstubs.h to the release tarball
  * renderonly: Initialize fields of struct winsys_handle
  * vc4: Don't allocate new BOs to avoid synchronization when they're shared
  * anv: fix possible stack corruption
  * anv: don't leak DRM devices
  * glxglvnddispatch: Add missing dispatch for GetDriverConfig
  * nvc0/ir: SHLADD's middle source must be an immediate
  * nir/lower_tex: Fix minor error in YUV color conversion matrix
  * amd/addrlib: import Raven support
  * radeonsi/gfx9: add support for Raven
  * anv/formats: Update the three-channel BC1 mappings
  * 965/formats: Update the three-channel DXT1 mapping
  * radeonsi: mark fast-cleared textures as compressed when dirtying
  * radeonsi: fix primitive ID in fragment shader when using tessellation
  * radeonsi: fix gl_PrimitiveID in tessellation with instanced draws on SI
  * radeonsi: fix gl_PrimitiveIDIn in geometry shader when using tessellation
  * intel/isl/gen7: Use stencil vertical alignment of 8 instead of 4
  * mesa/st: fix yuv EGLImage's
  * virgl: fix virgl_bo_transfer_{put, get} box struct cop
  * 965/vec4/gs: restore the uniform values which was overwritten by failed
    vec4_gs_visitor execution
  * i965/vec4: fix swizzle and writemask when loading an uniform with constant offset
  * i965/vec4: load dvec3/4 uniforms first in the push constant buffer
  * gallivm: Make sure module has the correct data layout when pass manager runs
- specfile: libglvnd0 -> libglvnd; missed the package name
  change in libglvnd package (boo#1038619, comment#5)

==== NetworkManager-applet ====
Subpackages: NetworkManager-connection-editor libnm-gtk0 libnma0 nma-data typelib-1_0-NMGtk-1_0

- Rebase nm-applet-migration-tool.patch.
- Rebase nm-applet-dialog-check-permissions.patch.

==== NetworkManager-openvpn ====
Version update (1.2.8 -> 1.2.10)
Subpackages: NetworkManager-openvpn-gnome

- Update to version 1.2.10:
  + Add support for "tls-crypt" and "mtu-disc" options.
  + Add support for dynamic challenge-response protocol.
  + Allow choosing Adaptive or None LZO compression methods in the
    connection properties dialog.
  + Avoid passing the obsolete "tls-remote" option to OpenVPN
    versions that no longer support it and discourage its use in
    the properties dialog.
  + Updated the build system to use non-recursive make.
  + Many bug fixes.
  + Updated translations.

==== abiword ====
Subpackages: libabiword-3_0

- Add abiword-fix-black-overlay.patch: Remove the black covering
  full window and make all unreadable, patch from upstream.

==== akonadi-import-wizard ====
Version update (17.04.0 -> 17.04.1)

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Add Geary importer

==== analitza ====
Version update (17.04.0 -> 17.04.1)
Subpackages: analitza-lang libAnalitza5

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== antlr ====
Subpackages: antlr-devel antlr-java

- Reduce dependencies a bit

==== apache-commons-logging ====

- Remove bootstrap conditional
- New build dependency: javapackages-local
- Fixed requires

==== at-spi2-atk ====
Version update (2.24.0 -> 2.24.1)
Subpackages: at-spi2-atk-common at-spi2-atk-gtk2 libatk-bridge-2_0-0

- Update to version 2.24.1:
  + Fix position getter for table cells.
  + atk-adaptor/bridge: Fix GList handling resulting in memory
    corruption (bgo#781658).
  + Fix use after free when returned objects hold only one ref
    (bgo#781716).

==== at-spi2-core ====
Version update (2.24.0 -> 2.24.1)
Subpackages: libatspi0 typelib-1_0-Atspi-2_0

- Update to version 2.24.1:
  + atspi_table_cell_get_position: Don't crash on error.

==== attica-qt5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: attica-qt5-devel libKF5Attica5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix warning

==== baloo5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: baloo5-devel baloo5-file baloo5-imports baloo5-kioslaves baloo5-tools libKF5Baloo5 libKF5BalooEngine5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Rename the translation catalogs (avoid conflicts)
  * balooctl, baloosearch, balooshow: Fix order of QCoreApplication object creation (kde#378539)
  * balooshow: fix typo (kde#369470)

==== bea-stax ====
Subpackages: bea-stax-api

- Cleanup a bit and remove unused patch bea-stax-gcj43-build.patch

==== blinken ====
Version update (17.04.0 -> 17.04.1)
Subpackages: blinken-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== bluedevil5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Implement the new panel icon size ceiling also for Bluetooth. (kde#378443)
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== bluez-qt ====
Version update (5.33.0 -> 5.34.0)
Subpackages: bluez-qt-devel bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Add .arcconfig

==== bovo ====
Version update (17.04.0 -> 17.04.1)
Subpackages: bovo-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== breeze ====
Version update (5.9.5 -> 5.10.0)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style breeze5-wallpapers

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * set a mask to shadow widget to make sure that it does not overlap with the mdi window. BUG:379790 (kde#379790)
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * fixed warning about unused variable
  * bump version for 5.9.5
  * Fix progress bar color
  * [cursors] Add 36px (1.5 scaling) size for Breeze and Breeze Snow Cursors (kde#348603)
  * Added new resolutions: 1366x768 and 1920x1200 Differential Revision: https://phabricator.kde.org/D4400
  * Fix header content size when sorting is disabled
- Use plasma-framework instead of plasma5-workspace to break a
  build cycle. This causes a harmless warning to appear.

==== breeze-gtk ====
Version update (5.9.5 -> 5.10.0)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Move all gtk-3.0+ themes to gtk3-metatheme-breeze
- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Remove gtk+-3 build dep, install versioned gtk.css dirs unconditionally
  * Set no stepper button for GTK3 scrollbars on gtk >=3.20 (kde#377008)
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Revert "Revert "No need for WITH_GTK3_VERSION anymore""
  * Revert "Revert "Figure out the GTK version instead of using a hardcoded one""

==== breeze4-style ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * set a mask to shadow widget to make sure that it does not overlap with the mdi window. BUG:379790 (kde#379790)
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * fixed warning about unused variable
  * bump version for 5.9.5
  * Fix progress bar color
  * [cursors] Add 36px (1.5 scaling) size for Breeze and Breeze Snow Cursors (kde#348603)
  * Added new resolutions: 1366x768 and 1920x1200 Differential Revision: https://phabricator.kde.org/D4400
  * Fix header content size when sorting is disabled

==== breeze5-icons ====
Version update (5.33.0 -> 5.34.0)

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Add icons for hotspot (https://github.com/KDAB/hotspot)
  * icons/status/16/microphone-sensitivity-medium.svg - fix validation remove undefined inkscape:connector-curvature CC: andreas kainz <[hidden email]>
  * BUG 377380 Better version control system icons BUG#377380
  * BUG 376780 add plasmate icon BUG:376780 (kde#376780)
  * BUG 377012 update microphone-sensitivity icons BUG:377012 (kde#377012)
  * Raise default for 'Panel' icons to 48
  * Kolourpaint Icon

==== cervisia ====
Version update (17.04.0 -> 17.04.1)
Subpackages: cervisia-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== chrome-gnome-shell ====
Version update (8.2 -> 9)

- Update to version 9:
  + connector:
  - Handle command line argument outside of GApplication.
  - Fix gsettings GNOME Shell schema lookup.
  - Fixed possible AttributeError.
  - Fixed Ctrl spelling.
  + compatibility:
  - Fixed external messaging for Firefox 54.
  - Updated to Firefox 52.
  + Removed redundant line forgotten in previous commit.
  + firefox:
  - Restrict maximum version to 53.
  - Show usefull error message in case native connector not
    installed.
  + api: show errror instead of warning in case initialization
    failure.
  + Improved error handling when GNOME Shell is not installed or
    not running.
  + options: allow html in error messages.
  + sync:
  - Avoid synchronization of disabled extensions during sleep
    state.
  - Increased idle queue timeout.
  + update-check: make python-requests dependency optional.
  + constants: drop old string.
  + doap: fix JavaScript spelling.
  + extension: open Shell extensions website on icon click.
  + i18n:
  - Regenerate template.
  - Explicitly distinguish "browser extension" and "Shell
    extension".
  - Fix error message.
  - Update list of supported locales.
  - Regenerate locales.
  + Updated translations.

==== clutter ====
Version update (1.26.0 -> 1.26.2)
Subpackages: libclutter-1_0-0 typelib-1_0-Clutter-1_0

- Update to version 1.26.2:
  + Accept upper case 'A' when selecting all content in a Text
    actor. This is similar to what GTK+ allows, and makes it easier
    to select text with Caps Lock enabled.
  + Use GDK API when using Wayland sub-surfaces. The GDK backend on
    Wayland uses sub-surfaces to allow Cogl to manage the rendering
    surface; now that GDK exposes the necessary API, we can avoid
    using the Wayland API directly, and instead let GDK manage the
    surface for us.
  + Documentation fixes.
  + Bugs fixed: bgo#766326, bgo#768243, bgo#768734, bgo#781975,
    bgo#759085, bgo#774546, bgo#762888, bgo#772412, bgo#770288,
    bgo#768898.
  + Updated translations.
- Drop clutter-text-bind-ctrl-A.patch and
  clutter-Warn-on-adding-removing.patch: Fixed upstream.

==== cmake ====
Version update (3.7.2 -> 3.8.1)

- update to 3.8.1:
  * FindOpenSSL: Add more library name alternatives
  * FindBoost: Restore tolerance of backslashes in paths
  * Tests: Fix FindModulesExecuteAll when KDE4 is installed
  * source_group: Fix TREE with root that is not current source dir
  * FindMatlab: Add support for Matlab 2017a
- update to 3.8.0:
  * support C#
  * support CUDA s a first-class language
  * improve try_compile
  * improve compile_features
  full changelog: https://blog.kitware.com/cmake-3-8-0-available-for-download/
- update system-libs.patch
- drop reproducible.patch and reproducible2.patch which are part
  of upstream

==== crash ====
Version update (7.1.8_k4.11.2_1 -> 7.1.8_k4.11.3_1)

- crash-stop_read_error_when_intent_is_retry.patch: When reading a
  memory image fails it may not be an error if it is still possible
  to switch image and retry the read. Fix the error message output
  to only occur if no retries are intended (bsc#1038839).
- Exclude openSUSE from RT KMP build (bsc#1013843)

==== digikam ====
Subpackages: kipi-plugins kipi-plugins-lang

- digikam now recommends marble in order for the geolocation widgets
  to work by default.

==== ecj ====

- Fix build with javapacakges-tools

==== epiphany ====
Version update (3.24.1 -> 3.24.2)
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Update to version 3.24.2:
  + Decode last component of URIs to determine file names for
    saving (bgo#780086).
  + Disable Ctrl+T in application mode (bgo#781440).
  + Do not use a popover for the tab selection menu, to allow
    scrolling it.
  + Add hidden setting for disabling quirks mode.
  + Updated translations.
- Drop base version define, no longer in use, nor needed.

==== extra-cmake-modules ====
Version update (5.33.0 -> 5.34.0)
Subpackages: extra-cmake-modules-doc

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix test when compiling from a tarball
  * Sanitizers: Don't use GCC-like flags for e.g. MSVC
  * adapt to fetchpo changes and use vars for target directories to dry code
  * fix documentation, ecm_install_po_files_as_qm generates .qm, not .mo
  * use correct variable for fetch-translations injection
  * KDEPackageAppTemplates: improve API dox notation of function signature
  * KDEPackageAppTemplates: mark %{dest} as deprecated
  * KDEPackageAppTemplates: fix note for %{PROJECTDIRNAME}
  * KDEPackageAppTemplates: remove note of placeholder %{src}, never supported
  * Fix minor CMake warning (CMP0054)
  * KDECompilerSettings: Pass -Wvla & -Wdate-time
  * Don't include tests together with modules
  * Allow test to work with older versions of qmlplugindump
  * Don't enable the test by default
  * Support older qmlplugindump versions
  * Introduce ecm_generate_qmltypes
  * Add a test for _repository_name() a function added for fetch-translations
  * Fix compilation under AppleClang (kde#377933)
  * Allow projects to include the file twice
  * Move the repository name recognition into a function
  * Fix rx that matches project names out of the git uri
  * Introduce fetch-translations build command
  * Use -Wno-gnu-zero-variadic-macro-arguments more
  * FindPyModGen: Also search for an unversioned clang++
- Remove patches, now upstream:
  * 0001-FindPyModGen-Also-search-for-an-unversioned-clang.patch
  * 0002-Import-Find-Clang-LLVM-from-KDevelop-for-Python-bind.patch

==== ffmpegthumbs ====
Version update (17.04.0 -> 17.04.1)

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== frameworkintegration ====
Version update (5.33.0 -> 5.34.0)
Subpackages: frameworkintegration-devel frameworkintegration-plugin libKF5Style5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== geronimo-specs ====
Subpackages: geronimo-jta-1_1-api geronimo-specs-poms

- Remove javadoc to cut build time in half
- Fix building with new javapackages-tools
- Remove unused conditionals

==== gimp ====
Version update (2.8.20 -> 2.8.22)
Subpackages: gimp-plugin-aa gimp-plugins-python libgimp-2_0-0 libgimpui-2_0-0

- drop mypaint until it is in Factory.
- update to 2.8.22
- drop upstream patches - now in the the source
- drop gimp-fix-PDF-Import-filter-crash.patch
- drop gimp-bgo773233-CVE-2007-3126.patch
- conditionalize mypaint support
- full change log:
  https://git.gnome.org/browse/gimp/plain/NEWS?h=GIMP_2_8_22
- Build with libmypaint support.

==== glib2 ====
Subpackages: glib2-devel glib2-tools libgio-2_0-0 libgio-2_0-0-32bit libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Add glib2-gmain-only-signal-GWakeup-right-before-or-during-a-b.patch:
  Fix event loop thread wakeup issue (bgo#761102)

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa gnome-control-center-user-faces

- Apply gnome-control-center-more-power-button-actions.patch for
  SLE and Leap 42.x only (boo#1040245).

==== gnome-documents ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-documents_books-common gnome-shell-search-provider-documents

- Update to version 3.24.2:
  + Unbreak previews of LOKDocView-supported documents from
    OneDrive.
  + Unreak caching of LOKDocView-supported documents from ownCloud.
  + Support previews of encrypted PDFs from Google.
  + Pass the right number of arguments to LOKDocView.View.new.
  + Updated translations.

==== gnome-maps ====
Version update (3.24.2 -> 3.24.3)

- Update to version 3.24.3:
  + Fix OpenStreetMap editing in Flatpaks (update librest build
    dependency).
  + Updated translations.

==== gnome-music ====

- Require python3-gobject-Gdk: gnome-music is a GUI application and
  we thus don't only require python3-Gobject, but also the GUI
  toolkits.

==== gnome-settings-daemon ====

- Apply gnome-settings-daemon-more-power-button-actions.patch for
  SLE and Leap 42.x only (bgo#1040245).
- Delete /etc/xdg/autostart/org.gnome.SettingsDaemon.Wacom.desktop
  for when no wacom support is present via conditional.

==== gnome-shell ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar

- Update to version 3.24.2:
  + Only fetch weather information when there's a valid location
    (bgo#780404).
  + Handle extension errors during reload due to settings change
    (bgo#781728).
  + Fix StEntry::primary-icon-clicked emission (bgo#782190).
  + Allow search providers to provide clipboard text for results
    (bgo#775099).
  + Misc. bug fixes: bgo#781545.
  + Updated translations.

==== gnome-software ====
Version update (3.24.1 -> 3.24.3)

- Update to version 3.24.3:
  + Fix a common crash when installing flatpakrepo files.
  + Show the headerbar in toolbar-mode when running in Unity.
  + Updated translations.
- Update to version 3.24.2:
  + Use the unique id of an AsApp when creating a GsApp in
    gs-appstream.
  + Prevent potential abuse of an app list in the plugin-loader.
  + trivial: Add one more dep to the example spec file.
  + Fix popular-overrides.
  + Add the complete flatpak source as a keyword.
  + Load the application keywords after the origin keywords have
    been added.
  + trivial:
  - Use the correct type when removing applications.
  - Correctly clear custom widget CSS if the metadata key is
    cleared.
  - Update the feature tile widget if the app name or summary
    changes.
  - Prevent critical warning when trying to parse an invalid
    URI.
  - Update more tile widgets if the app name or summary change.
  + Fix destdir!=srcdir when running the flatpak tests.
  + Fix callback for gs_plugin_loader_url_to_app_async, fixing
    small memory leak.
  + shell-extensions: Use static URI to fetch extensions data.
  + Fix building the external-appstream plugin.
  + Do not show the origin comment in the details page.
  + Do not abort if a page does not handle the reload vfunc.
  + Updated translations.

==== gpg2 ====

- GnuPG 2.1.21:
  * modified gnupg-2.0.18-files-are-digests.patch to work with
    obs-sign again bsc#1039899

==== graphviz ====

- Add reproducible.patch to not have binaries depend on build system timings

==== gspell ====
Version update (1.4.0 -> 1.4.1)
Subpackages: libgspell-1-1 typelib-1_0-Gspell-1_0

- Update to version 1.4.1:
  + GspellEntry: do not emit the GtkEditable::changed signal.
  + Replace some g_asserts by g_returns to avoid crashes
    (bgo#778883).
  + Updated translations.

==== gtk-vnc ====
Version update (0.7.0 -> 0.7.1)
Subpackages: libgtk-vnc-2_0-0 libgvnc-1_0-0 typelib-1_0-GVnc-1_0 typelib-1_0-GtkVnc-2_0

- Update to version 0.7.1:
  + Explicitly link to GIO instead of relying on implicit linkage.
  + Switch to use new keycodemap database module.
  + Fix size of reserved data in class struct.
  + Fix inverted framebuffer args in test case.
  + Avoid sign extension in integer arithmetic.
  + Avoid crash when opening a GSocketAddress.
  + Fix crash if server connection times out.
  + Fix incompatibility with libvncserver.
- Drop obsolete FIXME about browser plugin, dropped upstream back
  in 2013.

==== gtk3 ====
Version update (3.22.14 -> 3.22.15)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Change gettext-tools BuildRequires to gettext-tools-mini: the
  - mini package has all we need and it helps us get out of the
  bootstrap cycle.
- Update to version 3.22.15:
  + Revert an unexpeted change in listbox behavior.
  + Improve the Adwaita style for tagged entries.

==== gtksourceview ====
Version update (3.24.1 -> 3.24.2)
Subpackages: libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.24.2:
  + Avoid type redefinitions.
  + jade.lang: add *.pug to globs.
  + Bug fix in LaTeX syntax highlighting.
  + Various other small bug fixes.
  + Updated translations.

==== gtksourceview2 ====
Subpackages: gtksourceview2-lang libgtksourceview-2_0-0

- Drop optional libgladeui-1_0-devel BuildRequires and stop passing
  - -enable-glade-catalog to configure, no longer build glade
  support.
- Following the above, drop glade3-catalog-gtksourceview subpackage
  and obsolete it from devel package.

==== gtkspell3 ====

- Add pkgconfig(vapigen) BuildRequires and pass --enable-vala to
  configure call: Build vala bindings.

==== gwenhywfar ====
Version update (4.16.0beta -> 4.17.0)
Subpackages: gwenhywfar-devel gwenhywfar-lang libgwengui-cpp0 libgwengui-fox16-0 libgwengui-gtk2-0 libgwengui-qt4-0 libgwenhywfar60 libgwenhywfar60-plugins

- Update to 4.17.0
  + minor bugfixes

==== ibus-googlepinyin ====

- Add is_opensuse macro in SPEC file, limit google-pinyin
  installation not by default in SLE.
- Add libgooglepinyin0 and python-ibus as Requires
- Add ibus as Requires
- update to 0.1.2
- bring ibus-googlepinyin as default in DVD.
- add Provides(ibus:zh)
- license update: GPL-2.0+
- Rewite spec file
- Use BuildArch: noarch for this packages
- First build

==== ibus-sunpinyin ====

- Add is_opensuse macro in SPEC file, limit sunpinyin installation
  not by default in SLE.
- And python-ibus as Requires.
- remove unnessary Requires.
- fix the crappy libexecdir.
  * no longer install to /usr/lib/ibus-sunpinyin,
    even on a x86_64 system. install %{_libdir}/ibus instead.
- bring ibus-sunpinyin as default in DVD.
- add Provides(ibus:zh)
- license update: LGPL-2.1 or CDDL-1.0
  Look at the license file - it is a choice of LGPL-2.1, not GPL-2.0. Also,
  use SPDX format
- Fix build on FACTORY
- Clean up spec file
- Move changelog to a single file
- new release 2.0.3

==== ibus-table-chinese ====
Subpackages: ibus-table-chinese-array ibus-table-chinese-cangjie ibus-table-chinese-cantonese ibus-table-chinese-easy ibus-table-chinese-erbi ibus-table-chinese-jyutping ibus-table-chinese-quick ibus-table-chinese-scj ibus-table-chinese-stroke5 ibus-table-chinese-wu ibus-table-chinese-wubi-haifeng ibus-table-chinese-wubi-jidian ibus-table-chinese-yong

- Add is_opensuse macro in SPEC file, limit erbi stroke5 wu yong
  Chinese table default installation in SLE.

==== icecream ====
Version update (1.0.1 -> 1.1rc2)

- update to 1.1rc2
  - -gsplit-dwarf support for debug fission (https://gcc.gnu.org/wiki/DebugFission)
  - bug fixes since 1.1rc1
- switch to github tar - and related build system changes
- update to 1.1rc1 (including bsc#861524 and CVE-2014-4607)
  - require capng
  - allow ICECC_VERSION file to start with a .
  - work with different executable names for docbook-to-man on different distributions
  - support color diagnostics if possible
  - fix several crashes
  - clean up and improve documentation
  - move icecc-create-env to bindir.
  - Try to use only the best available scheduler
  - make daemon port configurable
  - USE_SCHEDULER now accepts host:port to change ports
  - use system lzo, drop bundled minilzo
  - force local compilation when required in more cases
  - detect some clang out of memory errors.
  - better support for FreeBSD
  - bump protocol version to 34
  - daemon requires chroot
  - some code refactoring for better maintainability
  - find if feature is supported by checking protocol version
  - better logging on error conditions
  - Create many tests cases
  - use path name instead of localhost for unix socket
  - clean up build system
  - use getnameinfo() instead of inet_ntoa()
  - fix some valgrind found issues
  - drop supplementary groups before setgid()
  - make signal handlers more robust
  - work better if user "icecc" does not exist
  - find compilers outside of PATH when building locally
- remove upstream patches
  0001-handle-HOME-not-being-set.patch
  0002-icecc-fix_s390_build.patch
-  make gcc-c++ only a Recommends: in the spec file
    A machine running only the daemon actually does not need any compiler.

==== java-1_8_0-openjdk ====
Version update (1.8.0.121 -> 1.8.0.131)
Subpackages: java-1_8_0-openjdk-headless

- Upgrade to version jdk8u131 (icedtea 3.4.0) - bsc#1034849
  * Security fixes
  - S8163520, CVE-2017-3509: Reuse cache entries
  - S8163528, CVE-2017-3511: Better library loading
  - S8165626, CVE-2017-3512: Improved window framing
  - S8167110, CVE-2017-3514: Windows peering issue
  - S8168699: Validate special case invocations
  - S8169011, CVE-2017-3526: Resizing XML parse trees
  - S8170222, CVE-2017-3533: Better transfers of files
  - S8171121, CVE-2017-3539: Enhancing jar checking
  - S8171533, CVE-2017-3544: Better email transfer
  - S8172299: Improve class processing
  * New features
  - PR1969: Add AArch32 JIT port
  - PR3297: Allow Shenandoah to be used on AArch64
  - PR3340: jstack.stp should support AArch64
  * Import of OpenJDK 8 u131 build 11
  - S6474807: (smartcardio) CardTerminal.connect() throws
    CardException instead of CardNotPresentException
  - S6515172, PR3346: Runtime.availableProcessors() ignores Linux
    taskset command
  - S7155957:
    closed/java/awt/MenuBar/MenuBarStress1/MenuBarStress1.java
    hangs on win 64 bit with jdk8
  - S7167293: FtpURLConnection connection leak on
    FileNotFoundException
  - S8035568: [macosx] Cursor management unification
  - S8079595: Resizing dialog which is JWindow parent makes JVM
    crash
  - S8130769: The new menu can't be shown on the menubar after
    clicking the "Add" button.
  - S8146602:
    jdk/test/sun/misc/URLClassPath/ClassnameCharTest.java test
    fails with NullPointerException
  - S8147842: IME Composition Window is displayed at incorrect
    location
  - S8147910, PR3346: Cache initial active_processor_count
  - S8150490: Update OS detection code to recognize Windows
    Server 2016
  - S8160951: [TEST_BUG]
    javax/xml/bind/marshal/8134111/UnmarshalTest.java should be
    added into :needs_jre group
  - S8160958: [TEST_BUG]
    java/net/SetFactoryPermission/SetFactoryPermission.java
    should be added into :needs_compact2 group
  - S8161147: jvm crashes when -XX:+UseCountedLoopSafepoints is
    enabled
  - S8161195: Regression:
    closed/javax/swing/text/FlowView/LayoutTest.java
  - S8161993, PR3346: G1 crashes if active_processor_count
    changes during startup
  - S8162876: [TEST_BUG]
    sun/net/www/protocol/http/HttpInputStream.java fails
    intermittently
  - S8162916: Test sun/security/krb5/auto/UnboundSSL.java fails
  - S8164533: sun/security/ssl/SSLSocketImpl/CloseSocket.java
    failed with "Error while cleaning up threads after test"
  - S8167179: Make XSL generated namespace prefixes local to
    transformation process
  - S8168774: Polymorhic signature method check crashes javac
  - S8169465: Deadlock in com.sun.jndi.ldap.pool.Connections
  - S8169589: [macosx] Activating a JDialog puts to back another
    dialog
  - S8170307: Stack size option -Xss is ignored
  - S8170316: (tz) Support tzdata2016j
  - S8170814: Reuse cache entries (part II)
  - S8170888, PR3314, RH1284948: [linux] Experimental support for
    cgroup memory limits in container (ie Docker) environments
  - S8171388: Update JNDI Thread contexts
  - S8171949: [macosx] AWT_ZoomFrame Automated tests fail with
    error: The bitwise mask Frame.ICONIFIED is not setwhen the
    frame is in ICONIFIED state
  - S8171952: [macosx]
    AWT_Modality/Automated/ModalExclusion/NoExclusion/ModelessDialog
    test fails as DummyButton on Dialog did not gain focus when
  clicked.
  - S8173030: Temporary backout fix #8035568 from 8u131-b03
  - S8173031: Temporary backout fix #8171952 from 8u131-b03
  - S8173783, PR3328: IllegalArgumentException:
    jdk.tls.namedGroups
  - S8173931: 8u131 L10n resource file update
  - S8174844: Incorrect GPL header causes RE script to miss swap
    to commercial header for licensee source bundle
  - S8174985: NTLM authentication doesn't work with IIS if NTLM
    cache is disabled
  - S8176044: (tz) Support tzdata2017a
  * Backports
  - S6457406, PR3335: javadoc doesn't handle <a
    href='http://...'> properly in producing index pages
  - S8030245, PR3335: Update langtools to use try-with-resources
    and multi-catch
  - S8030253, PR3335: Update langtools to use strings-in-switch
  - S8030262, PR3335: Update langtools to use foreach loops
  - S8031113, PR3337: TEST_BUG:
    java/nio/channels/AsynchronousChannelGroup/Basic.java fails
    intermittently
  - S8031625, PR3335: javadoc problems referencing inner class
    constructors
  - S8031649, PR3335: Clean up javadoc tests
  - S8031670, PR3335: Remove unneeded -source options in javadoc
    tests
  - S8032066, PR3335: Serialized form has broken links to non
    private inner classes of package private
  - S8034174, PR2290: Remove use of JVM_* functions from java.net
    code
  - S8034182, PR2290: Misc. warnings in java.net code
  - S8035876, PR2290: AIX build issues after '8034174: Remove use
    of JVM_* functions from java.net code'
  - S8038730, PR3335: Clean up the way JavadocTester is invoked,
    and checks for errors.
  - S8040903, PR3335: Clean up use of BUG_ID in javadoc tests
  - S8040904, PR3335: Ensure javadoc tests do not overwrite
    results within tests
  - S8040908, PR3335: javadoc test TestDocEncoding should use
  - notimestamp
  - S8041150, PR3335: Avoid silly use of static methods in
    JavadocTester
  - S8041253, PR3335: Avoid redundant synonyms of NO_TEST
  - S8043780, PR3368: Use open(O_CLOEXEC) instead of
    fcntl(FD_CLOEXEC)
  - S8061305, PR3335: Javadoc crashes when method name ends with
    "Property"
  - S8072452, PR3337: Support DHE sizes up to 8192-bits and DSA
    sizes up to 3072-bits
  - S8075565, PR3337: Define @intermittent jtreg keyword and mark
    intermittently failing jdk tests
  - S8075670, PR3337: Remove intermittent keyword from some tests
  - S8078334, PR3337: Mark regression tests using randomness
  - S8078880, PR3337: Mark a few more intermittently failuring
    security-libs
  - S8133318, PR3337: Exclude intermittent failing PKCS11 tests
    on Solaris SPARC 11.1 and earlier
  - S8144539, PR3337: Update PKCS11 tests to run with security
    manager
  - S8144566, PR3352: Custom HostnameVerifier disables SNI
    extension
  - S8153711, PR3313, RH1284948: [REDO] JDWP: Memory Leak:
    GlobalRefs never deleted when processing invokeMethod command
  - S8155049, PR3352: New tests from 8144566 fail with "No
    expected Server Name Indication"
  - S8173941, PR3326: SA does not work if executable is DSO
  - S8174164, PR3334, RH1417266: SafePointNode::_replaced_nodes
    breaks with irreducible loops
  - S8174729, PR3336, RH1420518: Race Condition in
    java.lang.reflect.WeakCache
  - S8175097, PR3334, RH1417266: [TESTBUG] 8174164 fix missed the
    test
  * Bug fixes
  - PR3348: Architectures unsupported by SystemTap tapsets throw
    a parse error
  - PR3378: Perl should be mandatory
  - PR3389: javac.in and javah.in should use @PERL@ rather than a
    hardcoded path
  * AArch64 port
  - S8168699, PR3372: Validate special case invocations [AArch64
    support]
  - S8170100, PR3372: AArch64: Crash in C1-compiled code
    accessing References
  - S8172881, PR3372: AArch64: assertion failure: the int
    pressure is incorrect
  - S8173472, PR3372: AArch64: C1 comparisons with null only use
    32-bit instructions
  - S8177661, PR3372: Correct ad rule output register types from
    iRegX to iRegXNoSp
  * AArch32 port
  - PR3380: Zero should not be enabled by default on arm with the
    AArch32 HotSpot build
  - PR3384, S8139303, S8167584: Add support for AArch32
    architecture to configure and jdk makefiles
  - PR3385: aarch32 does not support -Xshare:dump
  - PR3386, S8164652: AArch32 jvm.cfg wrong for C1 build
  - PR3387: Installation fails on arm with AArch32 port as
    INSTALL_ARCH_DIR is arm, not aarch32
  - PR3388: Wrong path for jvm.cfg being used on arm with AArch32
    build
  * Shenandoah
  - Fix Shenandoah argument checking on 32bit builds.
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u101-b14-shenandoah-merge-2016-07-25
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-02-20
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-06
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-09
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-23

==== javapackages-tools ====
Version update (4.6.0 -> 4.7.0+git20170331.ef4057e7)

- Fix typo in suse-use-libdir.patch
- Fix url to correct one https://github.com/fedora-java/javapackages
- Split to python and non-python edition for smaller depgraph
- Add patch python-optional.patch
- Fix abs2rel shebang:
  * fix-abs2rel.patch
- Fix Requires on subpackages to point to javapackages-tools proper
- Update to version 4.7.0+git20170331.ef4057e7:
  * Reimplement abs2rel in Python
  * Don't expand {scl} in macro definitions
  * Install expanded rpmfc attr files
  * [spec] Avoid file conflicts between in SCL
  * Fix macros.d directory ownership
  * Make %ant macro enable SCL when needed
  * [spec] Fix file conflicts between SCL and non-SCL packages
  * Fix ownership of ivyxmldir
  * [test] Force locale for python processes
  * Don't include timestamp in generated pom.properties
- Remove patch merged by upstream:
  * create_valid_xml_comments.patch
- Remove patch suse-macros-install-location.patch
  * We switch to /usr/lib/ location for macros
- Try to reduce some dependencies bsc#1036025
- Refresh patch suse-use-libdir.patch

==== jline ====

- Update dependencies

==== juk ====
Version update (17.04.0 -> 17.04.1)

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== k3b ====

- Only use the %kf5_find_htmldocs macro on Leap 42.3 and higher,
  this should fix the build for 42.2 on Packman

==== kactivities-stats ====
Version update (5.33.0 -> 5.34.0)

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kactivities5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kactivities5-devel kactivities5-imports libKF5Activities5

- Drop unnecessary cmake(KF5KIO) build requirement
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * We are using only Tier 1 frameworks, so move us to Tier 2
  * Removed KIO from the deps

==== kactivitymanagerd ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== kalarm ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kalarm-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Bug 378722: Fix option text for using default email address

==== kalgebra ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kalgebra-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * This title doesn't really belong
  * Use the component name as the the page title
  * Offer the same default window size as the legacy UI

==== kanagram ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kanagram-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kapptemplate ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kapptemplate-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Fix templates: use cmake_minimum_required() at begin of tl CMakeLists.txt
  * Default to no debug logging (for Qt >= 5.5)
  * Properly register and use field "tempName"
  * Remove unused preview picture (also had l10n issues)
  * Use own enum for extended Qt::UserRole values
  * Do not extract all template preview images, load from archives on demand
  * Ensure window icon in desktopfile-ignorant shells
  * Support also templates whose tarball file has been renamed
  * Drop the known metadata files on generation instead of guessing
  * Update HOWTO some more
  * Preview files are stored in the template bundle, extract on demand
  * Fix description storage folder to match docs and also KDevelop's one
  * Remove TODO, PROJECTDIRNAME is used e.g. for .kdev4 filename
  * Make %{dest} work
  * Group undocumented & deprecated substitute variables
  * Document CURRENT_YEAR in HOWTO, supported/used since v4.6
  * Remove %{src} from HOWTO, no use/support ever known
  * Fix PROJECTDIRNAME value to match name of dir actually used
  * Remove dead code, value for PROJECTDIRNAME is set below to official one
  * Fix broken value set for VERSIONCONTROLPLUGIN
  * Remove VERSIONCONTROLPLUGIN from HOWTO, deprecated

==== karchive ====
Version update (5.33.0 -> 5.34.0)
Subpackages: karchive-devel libKF5Archive5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== katomic ====
Version update (17.04.0 -> 17.04.1)
Subpackages: katomic-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kauth ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kauth-devel libKF5Auth5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Verify that whoever is calling us is actually who he says he is
- Remove patches, now upstream:
  * verify-caller-CVE-2017-8422.patch
- Add verify-caller-CVE-2017-8422.patch: upstream security fix for
  local privilege escalation (CVE-2017-8422)

==== kblackbox ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kblackbox-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kblocks ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kblocks-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kbookmarks ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kbookmarks-devel libKF5Bookmarks5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kbounce ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kbounce-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kbreakout ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kbreakout-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kbruch ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kbruch-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kcachegrind ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kcachegrind-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kcm_sddm ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * i18n: fix string puzzle
  * Also list wayland sessions in autostart list
  * Fix bad merge of 5.9 into master

==== kcmutils ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kcmutils-devel libKF5KCMUtils5

- Drop kcmutils-use-susehelp.patch (boo#1039086)
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kcodecs ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kcodecs-devel libKF5Codecs5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kcompletion ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kcompletion-devel libKF5Completion5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kconfig ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kconf_update5 kconfig-devel libKF5ConfigCore5 libKF5ConfigGui5

- Adjust license as pointed out during legal review
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix relativePath calculation in KDesktopFile::locateLocal() (kde#345100)
- Remove patches, now upstreaM:
  * fix-locateLocal.patch

==== kconfigwidgets ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kconfigwidgets-devel libKF5ConfigWidgets5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Set the icon for the Donate action
  * Relax constraints for processing QGroupBoxes
- Use %find_lang --with-man --all-name

==== kcoreaddons ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kcoreaddons-devel libKF5CoreAddons5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix the @see function names
  * Add .arcconfig
  * API dox: more info about KAboutData's orgDomain/desktopFileName properties

==== kcrash ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kcrash-devel libKF5Crash5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kcron ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kcron-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== kdbusaddons ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdbusaddons-devel kdbusaddons-tools libKF5DBusAddons5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kde-cli-tools5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Rename the translation catalog (avoid conflicts)
  * Fix spelling: MIME type

==== kde-gtk-config5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Replace warps-slider checkbox with radio buttons

==== kde-user-manager ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Make sure the new avatar is always saved (kde#350836)

==== kdeclarative ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdeclarative-components kdeclarative-devel libKF5CalendarEvents5 libKF5Declarative5 libKF5QuickAddons5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Don't set ItemHasContents in DropArea
  * Don't accept hover events in the DragArea

==== kded ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kded-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang %{name} --with-man --all-name

==== kdelibs4support ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdelibs4support-devel libKF5KDELibs4Support5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang %{name} --with-man --all-name

==== kdepim-runtime ====

- Add add-missing-include.patch and
  fix-crash-when-configuring-IMAP-resources.patch to fix IMAP
  resources crashing when trying to open settings
  (kde#379155, boo#1040086)

==== kdesignerplugin ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdesignerplugin-devel kdesignerplugin-lang

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== kdesu ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdesu-devel libKF5Su5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kdewebkit ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdewebkit-devel libKF5WebKit5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kdnssd-framework ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdnssd-framework-devel libKF5DNSSD5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kdoctools ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kdoctools-devel libKF5DocTools5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Workaround for MSVC and catalog loading
  * Solve a visibility conflict for meinproc5 (kde#379142)
  * Quote few other variables with path (avoid issues with spaces)
  * Quote few variables with path (avoid issues with spaces)
  * Temporarily disable the local doc on Windows
  * FindDocBookXML4.cmake, FindDocBookXSL.cmake - search in homebrew installations
- Use %find_lang --all-name --with-man for .lang filelist

==== kemoticons ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kemoticons-devel libKF5Emoticons5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kernel-source ====
Version update (4.11.2 -> 4.11.3)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs kernel-macros kernel-syms

- Linux 4.11.3 (CVE-2017-7487 bnc#1012628 bsc#1038879).
- Delete
  patches.fixes/ipx-call-ipxitf_put-in-ioctl-error-path.patch.
- commit 7262353
- Refresh patches.fixes/ptrace-Properly-initialize-ptracer_cred-on-fork.
  Update patch-mainline and git-commit tags.
- commit 2182e18
- ipv6/dccp: do not inherit ipv6_mc_list from parent
  (CVE-2017-9076 CVE-2017-9077 bsc#1039885 bsc#1040069).
- commit fcae12e
- sctp: do not inherit ipv6_{mc|ac|fl}_list from parent
  (CVE-2017-9075 bsc#1039883).
- commit 9f0e1bf
- ipv6: Check ip6_find_1stfragopt() return value properly
  (CVE-2017-9074 bsc#1039882).
- ipv6: Prevent overrun when parsing v6 header options
  (CVE-2017-9074 bsc#1039882).
- commit 1862833
- ipx: call ipxitf_put() in ioctl error path (CVE-2017-7487
  bsc#1038879).
- commit 01283ea
- dccp/tcp: do not inherit mc_list from parent (CVE-2017-8890
  bsc#1038544).
- commit cedfd44
- crypto: skcipher - Add missing API setkey checks
  (bsc#1040389,CVE-2017-9211).
- commit a536fda
- ptrace: Properly initialize ptracer_cred on fork (bsc#1040041).
- commit 24082da

==== kfilemetadata5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kfilemetadata5-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Rename the translation template (avoid conflicts)
  * makes KArchive be optional and do not build extractors needing it
  * cmake: switch to the FindPoppler module from ECM
  * fix duplicated symbols compilation error with mingw on Windows
  * autotests: Use QTEST_GUILESS_MAIN

==== kgamma5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== kglobalaccel ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kglobalaccel-devel kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccelPrivate5

- Remove unnecessary kservice-devel build requirement
- Drop no longer useful
  0001-Make-kglobalaccel5-properly-killable-fixing-super-sl.patch
- No point to delete the kglobalaccel5.po files, they are not
  included any more since 5.11.0
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * build: Remove KService dependency

==== kguiaddons ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kguiaddons-devel libKF5GuiAddons5

- Drop kguiaddons-use-susehelp.patch (boo#1039086)
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== khotkeys5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: khotkeys5-devel

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * update khotkeys kcm docbook
  * Fix build with -fno-operator-names

==== khtml ====
Version update (5.33.0 -> 5.34.0)
Subpackages: khtml-devel libKF5KHtml5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix build with Qt 5.9 (kde#377490)

==== ki18n ====
Version update (5.33.0 -> 5.34.0)
Subpackages: ki18n-devel libKF5I18n5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * fix basename handling of po files (kde#379116)
  * Fix ki18n bootstrapping
  * Move .po and .ts files look-up to build-time
  * Docs: correct doctype for non-deprecated root element with ui.rc file example
  * Docs: Use non-deprecated <gui> root element with rc file example

==== kiconthemes ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kiconthemes-devel libKF5IconThemes5

- Add GPL-2.0 to the license to match tools (as per legal review)
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Don't even try to create icons with empty sizes

==== kidletime ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kidletime-devel libKF5IdleTime5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kimageformats ====
Version update (5.33.0 -> 5.34.0)

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kinfocenter5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Add output scale to Wayland overview
  * Port away from KDELibs4Support
  * Port tooltips to KToolTipWidget

==== kinit ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kinit-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== kio-extras5 ====

- Add "BuildRequires: gperf" to enable building the man kio-slave
  (boo#1040444)

==== kitemmodels ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kitemmodels-devel libKF5ItemModels5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kitemviews ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kitemviews-devel libKF5ItemViews5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kjobwidgets ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kjobwidgets-devel libKF5JobWidgets5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kjs ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kjs-devel kjs-devel-lang libKF5JS5 libKF5JSApi5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== kjsembed ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kjsembed-devel libKF5JsEmbed5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== kmediaplayer ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kmediaplayer-devel libKF5MediaPlayer5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kmenuedit5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Add .arcconfig
  * Silence CMake policy CMP0063 warning

==== kmouth ====
Version update (17.04.0 -> 17.04.1)

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== knewstuff ====
Version update (5.33.0 -> 5.34.0)
Subpackages: knewstuff-core-devel knewstuff-devel libKF5NewStuff5 libKF5NewStuffCore5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Allow multiple categories with the same name
  * Improvements
  * Fix i18n puzzle again.
  * KNewStuff: Show file's size information in grid delegate.
  * i18n: fix string puzzle
  * If an entry's size is known, show it in the list view.
  * Register and declare KNSCore::EntryInternal::List as a metatype
  * Don't fall through the switch. Double entries? No please.
  * always close the downloaded file after downloading

==== knotifications ====
Version update (5.33.0 -> 5.34.0)
Subpackages: knotifications-devel libKF5Notifications5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Improve apidox

==== knotifyconfig ====
Version update (5.33.0 -> 5.34.0)
Subpackages: knotifyconfig-devel libKF5NotifyConfig5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Tests: correct doctype for non-deprecated root element with ui.rc file
  * Tests: Use non-deprecated <gui> root element with rc file

==== kolourpaint ====
Version update (17.04.0 -> 17.04.1)
Subpackages: kolourpaint-lang

- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None

==== konversation ====
Version update (1.7 -> 1.7.2)
Subpackages: konversation-lang

- Trim description from redundant phrasing, and ensure neutrality.
- Specify minimum KF5 version for build requirements
- Remove no longer used/necessary sonnet-devel BuildRequires
- Change package summary: it's "by" KDE, not "for" KDE
- Update to 1.7.2:
  * no code changes
  * incomplete and badly maintained translations removed that were
    accidentally included with the v1.7.1 release
- Update to 1.7.1:
  * Fixed requesting the znc.in/server-time-iso capability from the server.
  * Fixed SASL EXTERNAL authentication without an account name set in the
    Identity settings.
  * Fixed clicking on nickname links containing the ` character.
  * Fixed the Highlight page in the Configure Konversation dialog
    not enabling/disabling the Apply button correctly.
  * Minor cleanups in application metadata setup code.

==== kpackage ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kpackage-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix spelling in documentation.
  * fix include path in KF5PackageMacros.cmake https://phabricator.kde.org/D5615
  * Ignore warnings during appdata generation (kde#378529)
- Remove patches, now upstream:
  * 0001-Ignore-warnings-during-appdata-generation.patch
- Use %find_lang --with-man --all-name

==== kparts ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kparts-devel libKF5Parts5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Use non-deprecated <gui> root element with ui.rc files of tests

==== kpeople5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kpeople5-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kplotting ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kplotting-devel libKF5Plotting5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kpty ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kpty-devel libKF5Pty5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kross ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kross-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== krunner ====
Version update (5.33.0 -> 5.34.0)
Subpackages: krunner-devel libKF5Runner5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Template: Change toplevel template category to "Plasma"

==== kscreen5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * include <QRect> to use it
  * Get output size with output-geometry() rather than mode size directly
  * Fix KScreen KCM screen placement with scaled outputs
  * Include output scale in kscreen-console
  * Remove quoting from kscreen-console json-output (kde#354534)
  * fix rotation of outputs in kscreen kcm

==== kscreenlocker ====
Version update (5.9.5 -> 5.10.0)
Subpackages: libKScreenLocker5

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * [Greeter] Expose wallpaper QML item as "wallpaper" context property
  * Prevent kcheckpass from becoming an orphan
  * Fix removal of lock window on unmap
  * Terminate kscreenlocker_greet and don't kill it on unlockRequest
  * [autotests] add missing add_test
  * Use seccomp for implementing a sandbox for kscreenlocker_greet
  * Support for long running kcheckpass supporting multiple authentications
  * [greeter] Send the auth result through the server instead return value
  * Add support for emergency message show on Wayland
  * Require PAM by default and provide an option to not require it
  * [ksld] Don't unset greeter connection on destroy unconditionally (kde#377152)
  * [kcheckpass] Drop all outdated/obsoleted checkpass variants
  * [kcheckpass] Drop the conv_legacy support
  * [kcheckpass] Drop the caller command line option
  * [kcheckpass] Drop command line option for username
  * Enable qtvirtualkeyboard QT_IM_MODULE for greeter
  * Add a small test application for kcheckpass
  * [kcheckpass] Drop the ACCEPT_ENV compatibility define
  * [kcheckpass] Drop the throttle handling code
  * [Greeter] Also clear selection clipboard
  * [greeter] Clear clipboard on show (kde#376526)
  * Stop linking X11_Xcursor_LIB in KScreenLocker (kde#376068)

==== kservice ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kservice-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %find_lang --with-man --all-name

==== ksshaskpass5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== ksysguard5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * update ksysguard docbook

==== ktexteditor ====
Version update (5.33.0 -> 5.34.0)
Subpackages: ktexteditor-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * KAuth integration in document saving - vol. 2 - various security improvements
  * Fix assertion when applying code folding that changes cursor position
  * Use non-deprecated <gui> root element in ui.rc file
  * Add scroll-bar-marks also to the built-in search&replace
  * KAuth integration in document saving
- Revert upstream feature as disliked by the security team (boo#1033055)
  * 0001-Revert-KAuth-integration-in-document-saving-vol.-2.patch
  * 0002-Revert-KAuth-integration-in-document-saving.patch

==== ktextwidgets ====
Version update (5.33.0 -> 5.34.0)
Subpackages: ktextwidgets-devel libKF5TextWidgets5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kunitconversion ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kunitconversion-devel libKF5UnitConversion5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kwallet ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kwallet-devel kwallet-tools kwalletd5 libKF5Wallet5 libkwalletbackend5-5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kwayland ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kwayland-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Validate surface is valid when sending TextInput leave event
  * Fix autotests on the FreeBSD CI.

==== kwebkitpart ====
Subpackages: kwebkitpart-lang

- Update to latest git master to fix build with Qt 5.9 (kde#377490)
- Update translations to the latest versions from svn

==== kwidgetsaddons ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kwidgetsaddons-devel libKF5WidgetsAddons5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * KNewPasswordWidget: don't hide visibility action in plaintext mode
  * KPasswordDialog: don't hide visibility action in plaintext mode (kde#378276)
  * Fix KActionSelectorPrivate::insertionIndex()

==== kwin5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: kwin5-devel

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Fix compilation without libinput. #if is used everywhere else, #ifdef is wrong.
  * Improve the escape key handling for breaking constrained pointers (kde#378452)
  * [DRM plugin] No forward declare of DrmSurfaceBuffer without GBM (kde#379732)
  * Use resourceClass as fallback for XWayland clients instead of resourceName.
- Remove patches, now upstream:
  * 0001-DRM-plugin-No-forward-declare-of-DrmSurfaceBuffer-wi.patch
  * 0001-Improve-the-escape-key-handling-for-breaking-constra.patch
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Add upstream patches from Plasma/5.10:
  * 0001-DRM-plugin-No-forward-declare-of-DrmSurfaceBuffer-wi.patch
  * 0001-Improve-the-escape-key-handling-for-breaking-constra.patch

==== kwindowsystem ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kwindowsystem-devel libKF5WindowSystem5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== kxmlgui ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kxmlgui-devel libKF5XmlGui5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * kcm_useraccount is dead, long live user_manager
  * Reproducible builds: drop version from XMLGUI_COMPILING_OS
  * Fix: DOCTYPE name must match root element type
  * Fix wrong usage of ANY in kpartgui.dtd
  * Use non-deprecated <gui> root element
  * API dox fixes: replace 0 with nullptr or remove where not applied

==== kxmlrpcclient5 ====
Version update (5.33.0 -> 5.34.0)
Subpackages: kxmlrpcclient5-devel libKF5XmlRpcClient5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== lftp ====
Version update (4.7.4 -> 4.7.7)

- Version update to 4.7.7:
  * License has changed from GPL-2.0+ to GPL-3.0+
  * Various small fixes all around
- Remove all internal patches, if the ftp compat is needed we need
  to upstream it on github:
  * lftp-autoconf-req.patch
  * lftp-compat-addfiles.patch
  * lftp-completion.patch
  * lftp-config_h.patch
  * lftp-stdio.h.patch
  * lftp-vi.1.1.tar.gz
  * lftp-wrapper+edit+compat-modify.patch
- Pass all the configure arguments to ensure nothing gets automagically
  disabled
- Remove unused dependencies

==== libKF5ModemManagerQt ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5ModemManagerQt-devel libKF5ModemManagerQt6

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== libKF5NetworkManagerQt ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5NetworkManagerQt-devel libKF5NetworkManagerQt6

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix crash when retrieving active connection list. (kde#373993)
  * -Wheader-guard
  * -Wheader-guard
  * Fix unit test
  * Set default value for auto-negotiation based on running NM version
  * One more attempt to fix unit test for active connections
  * Fix unit test for active connections

==== libgdata ====
Version update (0.17.7 -> 0.17.8)
Subpackages: libgdata22 typelib-1_0-GData-0_0

- Update to version 0.17.8:
  + Major changes:
  - Bump GLib dependency to 2.38.0 for G_TEST_DIST.
  - Bump libsoup dependency for tests to 2.55.90; the dependency
    if building libgdata without tests is still 2.42.0.
  - Fix use of deprecated GTK+ API in the demos.
  + Bugs fixed: bgo#779641, bgo#780067, bgo#780081.
  + Updated translations.

==== libindi ====
Version update (1.3.1 -> 1.4.1)
Subpackages: libindi-devel libindiAlignmentDriver1 libindidriver1

- Update to version 1.4.1:
  * Minor bugfix release to fix installation of development headers
    issue in 1.4.0.
  From version 1.4.0:
  * Support for HitecAstro DC Focuser.
  * Support for SQL-LE Sky Quality Meter unit.
  * Support for USB Focus V3.
  * Support for Quantum Filter Wheel.
  * Support for 10micron mounts.
  * ZWO ASI filter wheel support. Driver updated to latest SDK. Fix
    infinite loop exposure.
  * QHY driver updated to latest SDK.
  * Added preliminary support to TCP server connection for all
    mounts.
  * Updated and improved Nexstar Evo driver.
  * Fixed reset of filter wheel names to default values under some
    circumstances.
  * Fixed feedback loop issue in chained INDI server.
  * Handle correctly broken frames in FLI driver; convert time left
    from ms to seconds as it should be.
  * V4L2 CCD driver updated to properly work with DMK cameras.
  * Several bugfixes for Moravian CCD driver.
  * CCD Simulator allows for up to 4096x4096 resolution.
  * Raw color video streaming now uses RGB24 instead of RGBA to
    conserve bandwidth.
  * New Dome and Mount safety interlocks mechanism.
  * Fix the Virtuoso mount detection in SkyWatcherMountAPI driver.
  * Support relative driver paths to INDI server.
  * Fix property cache collision conflict in case of multiple
    devices per driver.
  * Moonlite driver can now sync to any value instead of reset to
    zero.
  * Store OBJECTRA and OBJECTDEC as sexigesimal strings.
  * New Axis Lock feature to limit joystick to specific motion
    axis.
  * INDI server now reaps zombie processes as they appear.
  * EQMod support for AUX encoder values. ST4 Guide Rates settings.
    PPEC Switches.
  * Fix for TELESCOPE_PIER_SIDE implementation in EQMod driver.
  * Several fixes for Pulsar2 driver.
  * Fix SER file generation for color frames. Added timestamps for
    each recorded frame. Support subframed video streams.
  * Debug and Logging options can be saved in the config file.
  * New CCD_TRANSFER_FORMAT property.
  * libindi can now be compiled under MacOS and Cygwin. Non-Linux
    specific 3rd party drivers are also supported under MacOS and
    Cygwin.
  * When a request for snooped is sent, it is echoed to drivers so
    that they send the snopped value immediately if it exists.
  * libindi shared library is dropped. libindi now offsers
    indidriver (shared), indiclient (static), and indiclientqt5
    (static) libraries.
  * Legacy drivers removed: SkyCommander, Intelliscope, MagellanI,
    TruTech, SBIG STV.
- Added new subpackage libindi-plugins.
- libindi1 was dropped from the package source. Obsolete it in
  libindi-plugins in order to fix conflicts due to %{_libdir}/indi/
  previously contained in libindi1.
- Removed libindi-generate-tarball.sh script (not needed anymore).
- Removed no-return-in-nonvoid-function.patch (fixed upstream).
- Added a patch (bufferoverflow.patch) to fix "Statement is
  overflowing a buffer" post-build check errors.

==== libkdecoration2 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== libkscreen2 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Sync scale to/from KScreen configs
  * Sync kscreen outputs to wayland
  * Fix compile warning of treating boolean like an integer
  * Fix Output::geometry() when dealing with a scaled monitor
  * Sync wayland output scale to KScreen config
  * Fix type argument for get property call

==== libksysguard5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: libksysguard5-devel libksysguard5-helper

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Make Plasma optional in exchange of disabling signalplotter
  * Fix minor glitches
  * Fix strings in tooltips

==== libmwaw ====
Version update (0.3.10 -> 0.3.11)

- Update to 0.3.11:
  * Various small updates

==== liboil ====
Subpackages: liboil-devel

- Add reproducible.patch to sort input files to make build reproducible
  (boo#1041090)

==== libopenmpt ====
Version update (0.2.7774~beta22 -> 0.2.8043~beta23)
Subpackages: libmodplug1 libopenmpt0

- Add patch fixing issue bsc#1040149 wrong includedir propagation:
  * libmodpulg-pcfile.patch
- Version update to 0.2.8043-beta23
  * foo_openmpt: Interpolation filter and volume ramping settings were
    confused in previous versions. This version resets both to the defaults.
- Make mpg123 on by default

==== librsvg ====
Version update (2.40.16 -> 2.40.17)
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 typelib-1_0-Rsvg-2_0

- Update to version 2.40.17:
  + bgo#778666: Use our own thumbnailer specification file, so
    gnome-desktop-thumbnailer can generate thumbnails outside of
    the calling process.
  + Removed some redundant code.
  + Windows build fixes.
- Split out new sub-package rsvg-thumbnailer (noarch).

==== libseccomp ====
Version update (2.3.1 -> 2.3.2)
Subpackages: libseccomp2 libseccomp2-32bit

- Unconditionally rerun autoreconf because of patches
- Update to release 2.3.2:
  * Achieved full compliance with the CII Best Practices program
  * Added Travis CI builds to the GitHub repository
  * Added code coverage reporting with the "--enable-code-coverage" configure
    flag and added Coveralls to the GitHub repository
  * Updated the syscall tables to match Linux v4.10-rc6+
  * Support for building with Python v3.x
  * Allow rules with the -1 syscall if the SCMP\_FLTATR\_API\_TSKIP attribute is
    set to true
  * Several small documentation fixes
- Remove service file as we are not based on git

==== libsoup ====
Subpackages: libsoup-2_4-1 typelib-1_0-Soup-2_4

- Replace krb5-devel BuildRequires with pkgconfig(krb5): This does
  not exactly reproduce what configure is looking for (it ignores
  the .pc file) but it helps OBS in chosing between krb5 and
  krb5-mini, shortening build cycles.

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc libvirt-daemon-driver-network libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu libvirt-daemon-driver-secret libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- libxl: add default listen address for VNC and spice
  975ea20f-loopback-macro.patch,
  dbb85e0c-libxl-graphics-listen-addr.patch
  bsc#1040207
- xenconfig: fix handling of NULL disk source
  4cd3f241-fix-NULL-disk-source.patch
  bsc#1040213

==== milou5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Only follow mouse when moved (Fixes Bug #372635) (kde#372635)
  * Add arcconfig file

==== mutt ====
Version update (1.6.2 -> 1.8.2)

- Add patch mutt-1.8.2-from4crypt.diff
  to fix crash in crypt.c if no From is found or set
- Switch form TokyoCabinet over to KyotoCabinet
- Remove warning
- Make header cache work again, using TokyoCabinet as backend
- Remove now-obsolete configure parameters
- call gzip -n to make build more reproducible
- Yet an other package split: now there is a mutt-lang
- Provide a hint on the package split
- Move some extend documentation about mutt in a seperate package
- Remove mutt-1.5.21.de.po as mutt now have a de.po as well
- Update to neomutt 20170421 which updates to mutt 1.8.2
  1.8.2 Bug fix release.
  1.8.1 Bug fix release.
  1.8.0
  - $locale has been removed.  Mutt now respects the LC_TIME setting
    instead.  See also $attribution_locale.
  + $attribution_locale can be used to override the date formatting in
    attribution strings.  When unset, Mutt will use the locale
    environment, but note the default value of $date_format has a
    leading '!' which says to use the C-locale.
  ! Message-id and mail-followup-to headers are now preserved for recalled
    messages.
  + <unsidebar_whitelist> added to complement <sidebar_whitelist>.
  ! The pager position is reset to the top when toggling header-weed.
  ! IMAP messages moved to $trash via server-side copy are marked as read.
  + <root-message> jumps to the root message of a thread.
  ! Piped text attachments are charset converted.
  + Added %F to $attach_format, to show the content-disposition filename.
    %d will fall back to %F which will fall back to %f.
  + <rename-attachment> allows an attachment name to be changed, without
    modifying the underlying file's name.
  ! Mutt will look for the user's muttrc additionally in
    $XDG_CONFIG_HOME/mutt/.
  + Compressed mbox and mmdf files are now supported via open-hook,
    close-hook, and append-hook.  See contrib/sample.muttrc-compress
    for suggested settings.  Note this is a compile-time option:
  - -enable-compressed.
  + When $flag_safe is set, flagged messages cannot be deleted.
  + The '@' pattern modifier can be used to limit matches to known aliases.
  + <mark-message> creates a hotkey binding to a specific message.  The hotkey
    prefix is specified via $mark_macro_prefix.
  + <setenv> and <unsetenv> can be used to add/remove environment variables
    passed to children.
  ! Mutt will now use the built-in OpenSSL SSL_set_verify() callback
    to verify certificates.  This allows better support for verifying
    chains, including alternative chain support.
  + $uncollapse_new controls whether a thread will be uncollapsed when a new
    message arrives.
  ! $to_chars and $status_chars now accept multibyte characters.
  + <subjectrx> allows replacing matching subjects with something else.
    This can be used to declutter subject lines in the index.
  + <edit-label> can be used to add, change, or delete a message's X-Label.
  ! Pattern expressions with ~y support label tab completion.
  + The header cache now also supports Kyoto Cabinet and LMDB as
    backend databases.
  1.7.2 (2016-12-04):
  ! Bug fix release.  No features were modified or added.
  ! Fixes for OpenSSL 1.1.  Versions less than 0.9.6 are no longer supported.
  1.7.1 (2016-10-08):
  ! Bug fix release.  No features were modified or added.
  1.7.0 (2016-08-18):
  ! Improved alignment when using multi-column characters with
    soft-fill (%*X) and right-justified (%>X) format strings.
  + The COLUMNS environment variable will be set to the width of the
    pager when invoking display filters.  This can be used in
    copiousoutput mailcap entries to allow their output to match the
    pager width.
  + The sidebar patch has been merged.  Please watch for airborne
    bovine.  See the documentation for all the options, or simply
    enable it with 'set sidebar_visible'.
  + $mail_check_stats and $mail_check_stats_interval control whether,
    and how often, to scan for unread, flagged, and total message
    counts when checking for new mail in mailboxes.  These statistics
    can be displayed in the sidebar and browser.
  + $trash, when set, specifies the path of the folder where mails
    marked for deletion will be moved, instead of being irremediably
    purged.
  + The <purge-message> function can be used to delete an entry and
    bypass the trash folder.
  + $folder_format has new format strings %m and %n, to display
    total and unread message counts for mailboxes.  Note that
    $mail_check_stats should be enabled to use these.
  ! When browsing IMAP, %N will now display 'N', instead of the unread
    message count.  Please use %n to display unread messages.
- Removed obsolete patches
  * COLS-workaround.dif
  * mutt-1.6.2-gpgme_set_sender.patch
- Modifyed and ported patches
  * aw.listreply.diff
  * bsc907453-CVE-2014-9116-jessie.patch
  * bug-676388-largefile.patch
  * mutt-1.5.15-wrapcolumn.diff
  * mutt-1.5.20-sendgroupreplyto.diff
  * mutt-1.5.21-mailcap.diff
  * mutt-1.5.23-carriage-return.path
  * mutt-1.5.9i-pgpewrap.diff
  * mutt-1.6.1-opennfs.dif
  * patch-1.5.24.vk.pgp_verbose_mime
  * widechar.sidebar.dif
- Renamed patch
  * mutt-1.6.2.dif becomes mutt-1.8.2.dif

==== mutter ====
Version update (3.24.1 -> 3.24.2)
Subpackages: libmutter-0-0 mutter-data

- Add pkgconfig(libwacom) BuildRequires: Build advanced tablet
  support.
- Update to version 3.24.2:
  + Don't crash when wayland clients commit to destroyed surfaces
    (bgo#781391).
  + Fix frame updates on hide-titlebar-when-maximized changes
    (bgo#781862).
  + Fix accessible screen coordinates on X11 (bgo#781902).
  + Fix copy+paste of UTF8 strings between X11 and wayland
    (bgo#782472).
  + Fix non-wayland builds (bgo#780533).
  + Misc. bug fixes: bgo#781242, bgo#780215, bgo#759085.
  + Updated translations.

==== openmpi ====
Version update (1.10.6 -> 1.10.7)
Subpackages: openmpi-devel openmpi-libs

- Update to openmpi 1.10.7
  * Fix bug in TCP BTL that impacted performance on 10GbE (and faster)
    networks by not adjusting the TCP send/recv buffer sizes and using
    system default values
  * Add missing MPI_AINT_ADD and MPI_AINT_DIFF function delcarations in
    mpif.h
  * Fixed time reported by MPI_WTIME; it was previously reported as
    dependent upon the CPU frequency.
  * Fix platform detection on FreeBSD
  * Fix a bug in the handling of MPI_TYPE_CREATE_DARRAY in
    MPI_(R)(GET_)ACCUMULATE
  * Fix openib memory registration limit calculation
  * Add missing MPI_T_PVAR_SESSION_NULL in mpi.h
  * Fix "make distcheck" when using external hwloc and/or libevent packages
  * Add latest ConnectX-5 vendor part id to OpenIB device params
  * Fix race condition in the UCX PML
  * Fix signal handling for rsh launcher
  * Fix Fortran compilation errors by removing MPI_SIZEOF in the Fortran
    interfaces when the compiler does not support it
  * Fixes for the pre-ignore-TKR "mpi" Fortran module implementation
    (i.e., for older Fortran compilers -  * these problems did not exist
    in the "mpi" module implementation for modern Fortran compilers):
  * Add PMPI_* interfaces
  * Fix typo in MPI_FILE_WRITE_AT_ALL_BEGIN interface name
  * Fix typo in MPI_FILE_READ_ORDERED_BEGIN interface name
  * Fixed the type of MPI_DISPLACEMENT_CURRENT in all Fortran interfaces
    to be an INTEGER(KIND=MPI_OFFSET_KIND).
  * Fixed typos in MPI_INFO_GET_* man pages.
  * Fix typo bugs in wrapper compiler script
- spec file cleanup
- Replace openmpi-no_date_and_time.patch by
  openmpi-avoid-a-date-string-in-compiled-code.patch to use
  - -with-package-string for custom names.
- Disable static build by default
- When static build is enabled, use --enable-static

==== opus ====
Version update (1.1.4 -> 1.1.5)

- Update to version 1.1.5
  + This release backports the surround encoder bug fix from
    1.2-beta branch

==== oxygen5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang oxygen5-sounds oxygen5-style

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Set a mask to shadow widget to make sure that it does not overlap with the mdi window. BUG:379790 (kde#379790)
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Add a widget style chooser to oxygen-demo
  * removed unused variable
  * fixed warning about unused variable
  * Adds a colour scheme chooser to oxygen-demo.
  * Fix header content size when sorting is disabled

==== oxygen5-icon-theme ====
Version update (5.33.0 -> 5.34.0)
Subpackages: oxygen5-icon-theme-large

- Conditionalyze build dependency on Qt5Core/Qt5Test, which
  are only required for the unused autotests.
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Add icon for hotspot (https://github.com/KDAB/hotspot)
  * Raise default for 'Panel' icons to 48

==== pango ====
Version update (1.40.5 -> 1.40.6)
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit pango-devel typelib-1_0-Pango-1_0

- Update to version 1.40.6:
  + Don't use deprecated harfbuzz api.
  + Correctly implement min-required/max-allowed support.
  + Avoid compiler warnings.
  + Drop -uninstalled.pd files.
  + Add support for building with meson.

==== patterns-gnome ====
Subpackages: patterns-gnome-gnome patterns-gnome-gnome_admin patterns-gnome-gnome_basis patterns-gnome-gnome_basis_opt patterns-gnome-gnome_games patterns-gnome-gnome_ide patterns-gnome-gnome_imaging patterns-gnome-gnome_imaging_opt patterns-gnome-gnome_internet patterns-gnome-gnome_laptop patterns-gnome-gnome_multimedia patterns-gnome-gnome_multimedia_opt patterns-gnome-gnome_office patterns-gnome-gnome_office_opt patterns-gnome-gnome_utilities patterns-gnome-gnome_yast patterns-gnome-sw_management_gnome

- Change gnome_basis to be an internal-only pattern (non-visible).

==== patterns-kde ====
Subpackages: patterns-kde-devel_kde patterns-kde-devel_kde_frameworks patterns-kde-devel_qt5 patterns-kde-kde patterns-kde-kde_edutainment patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office patterns-kde-kde_plasma patterns-kde-kde_telepathy patterns-kde-kde_utilities patterns-kde-kde_utilities_opt patterns-kde-kde_yast patterns-kde-sw_management_kde

- "KDE Plasma 5" instead of "Plasma5" (boo#1040006)

==== pcsc-lite ====
Version update (1.8.20 -> 1.8.21)
Subpackages: libpcsclite1

- Updated to version 1.8.21
  * SCardCancel():
  - fix a race condition bug
  - fix a possible use after free
  - improve Doxygen documentation
  * SCardGetStatusChange(): fix a race condition when a reader is removed
  * SCardDisconnect(): fix status update for SCARD_UNPOWER_CARD
  * pcsc_stringify_error(): use Thread-local storage
  * pcsc_stringify_error() now returns a const char *
  * SCardControl() may return SCARD_E_INSUFFICIENT_BUFFER when
    pbRecvBuffer is not big enough to receive the card response.
  * Fix compilation error with GCC 4.9
  * UnitaryTests: add support of Python 3
  * pcsc-spy: add support of Python 3
  * Some other minor improvements

==== perl-Expect ====
Version update (1.32 -> 1.35)

- updated to 1.35
  see /usr/share/doc/packages/perl-Expect/Changes

==== perl-HTML-Template ====
Version update (2.95 -> 2.97)

- updated to 2.97
  see /usr/share/doc/packages/perl-HTML-Template/Changes
  2.97 Thu May 18 2017
  - Change internal module name HTML::Template::DEFAULT to
    HTML::Template::DEF to avoid conflict with
    HTML::Template::Default. [Sam Tregar]
  2.96 Thu May 18 2017
  - Fixed typos in documentation [David Steinbrunner, Steve Kemp]
  - Added CGI.pm as a dependency, needed now that it's no longer in core.
    [Martin McGrath, Steve Bertrand]

==== perl-Params-Validate ====
Version update (1.27 -> 1.28)

- updated to 1.28
  see /usr/share/doc/packages/perl-Params-Validate/Changes
  1.28    2017-05-05
  - Removed the broken Makefile.PL that was accidentally being shipped with this
    distro since 1.26.

==== plasma-framework ====
Version update (5.33.0 -> 5.34.0)
Subpackages: plasma-framework-components plasma-framework-devel plasma-framework-private

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * reload icon when usesPlasmaTheme changes
  * fix include even if load path isn't set
  * Fix build with CMake 3.8
  * hide scrollbar when useless
  * Install Plasma Components 3 so they can be used
  * Introduce units.iconSizeHints.* to provide user-configurable icon size hints
  * [TextFieldStyle] Fix textField is not defined error
  * Update the ungrabMouse hack for Qt 5.8
  * Guard against Applet not loading AppletInterface (kde#377050)
  * Calendar: Use correct language for month and day names
  * Update qmltypes
  * Generate plugins.qmltypes files for the plugins we install
  * remove some debug
  * if the user did set an implicit size, keep it
- Remove patches, now upstream:
  * keep-implicit-size-if-set.patch
- Remove obsolete patches:
  * loosen-up-kactivities-requirement.patch
- Use %find_lang %{name} --with-man --all-name

==== plasma-nm5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Workaround to fix PasswordDialog's focus. (kde#379279)
  * Remove option to set network type in gsm configuration (kde#379400)
  * Improve password dialogs
  * Fix minor typo
  * OpenVPN: don't require setting to be non-empty for advanced configuration
  * OpenVPN: add new properties (sync with NM) (kde#378648)
  * Simplify connection item delegate
  * OpenVPN: Remove previously configured secrets to avoid passing them back (kde#375170)
  * KCM: Do not use Plasma components as the colors are not consistent (kde#374905)

==== plasma5-addons ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * 0001-Color-Picker-Add-border-around-color-if-contrast-to-.patch
  * 0002-Color-Picker-Add-contrast-frame-around-colors-in-pop.patch

==== plasma5-desktop ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Only defer initial refresh when actually instanciated from QML. (kde#379783)
  * enable edge resize only when the applet handle is open
  * Implement the new panel icon size ceiling also for Input Method Panel. (kde#378443)
  * Implement the new panel icon size ceiling also for Activities. (kde#378443)
  * Implement the new panel icon size ceiling also for Kickoff. (kde#378443)
  * fix editing of "current" color scheme
  * Fix race condition in spring-loading timer management.
  * Fix a bunch of reference errors introduced in 1aec30d9.
  * Clear selection when opening desktop context menu.
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * 0001-kcm_baloofile-Add-option-to-disable-file-content-ind.patch
  * 0001-Fix-new-checkbox-for-file-content-indexing-in-kcm_ba.patch

==== plasma5-integration ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Don't create a shellSurface in every expose, only after hiding
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Move code on wayland surface being created.
  * Implement QPlatformTheme::fileIconPixmap() to make QFileIconProvider work.
  * Implement support for selected mime type filters
  * Fix cmake warning
  * Test is fixed, remove all the qDebugs
  * Use our own temporary dir instead of QDir::tempPath()
  * Rework how we expect the checkbox in the test

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.10.0
- Update to 5.9.95
- Same for opendocumentthumbnail
- Enable ffmpegthumbs and kdegraphics-thumbnailers by default in
  /etc/xdg/dolphinrc

==== plasma5-pa ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here

==== plasma5-session ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
- Use update-alternatives to create default.desktop xsession (boo#1030873)
- Update to 5.9.95

==== plasma5-workspace ====
Version update (5.9.5 -> 5.10.0)
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Add patch to fix crash with active-window-control plasmoid:
  * 0001-dont-crash-if-we-don-t-have-a-launcherTasksModel.patch
- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Always add data sources in SystemMonitorEngine::sourceRequestEvent() (kde#380209)
  * Fix co-installability with other DBus activated notification services
  * We should not forget the launchers that are not currently shown
  * remove useless debug
  * don't check for panel visible during startup
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * change-kioremote-severity.patch
  * 0001-Some-UI-fixes-for-logout-dialog.patch
  * revert-autostart-krun.patch

==== polkit-kde-agent-5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None

==== poppler ====
Version update (0.53.0 -> 0.55.0)
Subpackages: libpoppler-cpp0 libpoppler-devel libpoppler-glib8 libpoppler67 poppler-tools

- Update to version 0.55.0:
  + core:
  - Fix abort in files with broken Decode arrays (kde#379835).
  - Fix memory leak (and probably logic bug) parsing broken XRef
    entries (fdo#100775).
  - Fix memory leak when reconstructing broken files
    (fdo#100776).
  - Minor optimization.
  - Fix regression in GfxIndexedColorSpace::mapColorToBase
    (fdo#100931).
  - Fix memory leak in error condition.
  + cpp: Return nullptr if the page at index can't be fetched
    (fdo#100981).
  + build system:
  - Fail by default if libjpeg is not available.
  - Fail by default if libopenjpeg2/1 is not available.
- Update to version 0.54.0:
  + core: Make XRef reconstruction a bit better (fdo#100509).
  + glib:
  - Expose movie play mode (fdo#99625).
  - demo: Show play mode in movie properties view.
  + qt5: Compile with -DQT_NO_CAST_FROM_BYTEARRAY (fdo#100311).
  + utils: pdfimages: don't fail listing if inline image data
    contains 'EI' (fdo#100737).

==== poppler-qt5 ====
Version update (0.53.0 -> 0.55.0)
Subpackages: libpoppler-qt5-1 libpoppler-qt5-devel

- Update to version 0.55.0:
  + core:
  - Fix abort in files with broken Decode arrays (kde#379835).
  - Fix memory leak (and probably logic bug) parsing broken XRef
    entries (fdo#100775).
  - Fix memory leak when reconstructing broken files
    (fdo#100776).
  - Minor optimization.
  - Fix regression in GfxIndexedColorSpace::mapColorToBase
    (fdo#100931).
  - Fix memory leak in error condition.
  + cpp: Return nullptr if the page at index can't be fetched
    (fdo#100981).
  + build system:
  - Fail by default if libjpeg is not available.
  - Fail by default if libopenjpeg2/1 is not available.
- Update to version 0.54.0:
  + core: Make XRef reconstruction a bit better (fdo#100509).
  + glib:
  - Expose movie play mode (fdo#99625).
  - demo: Show play mode in movie properties view.
  + qt5: Compile with -DQT_NO_CAST_FROM_BYTEARRAY (fdo#100311).
  + utils: pdfimages: don't fail listing if inline image data
    contains 'EI' (fdo#100737).

==== powerdevil5 ====
Version update (5.9.5 -> 5.10.0)

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Fix the skip disabled backlight device
  * Pause media players on suspend
  * Re-trigger lid action when lid is closed and external monitor is disconnected (kde#379265)
  * Revert "Get rid of KDELibs4Support"
  * skip the disabled backlight device
  * Remove no longer needed config-workspace header
  * Get rid of KDELibs4Support
  * Get rid of QWeakPointer
  * Add UI for hybrid suspend mode
  * rename wireless power saving to wireless

==== prison-qt5 ====
Version update (5.33.0 -> 5.34.0)

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== procps ====
Subpackages: libprocps6

- Add patch procps-ng-3.3.12-sysctl-a.patch (bsc#1039941, had been
  accepted upstream) that is allow content lines below /proc/sys
  longer than 1024 characters

==== python-gobject ====
Subpackages: python2-gobject python2-gobject-Gdk python2-gobject-cairo python3-gobject python3-gobject-Gdk python3-gobject-cairo

- Once again filter typelib(Gtk) dependency out of python2-gobject:
  it's not possible to use multiple __requires_exclude_from
  statements in the specfile, thus change the filter to be valid
  for python2 and python3 at the same time.

==== python-kiwi ====
Version update (9.6.0 -> 9.6.2)
Subpackages: kiwi-pxeboot kiwi-tools

- Bump version: 9.6.1 ? 9.6.2
- Use 'yum-deprecated' if it exists when using Yum
  On Fedora and Mageia systems, the Yum package manager binary is named
  'yum-deprecated', and 'yum' redirects to DNF. This is a problem for
  being able to build images of Linux systems that use Yum as its package
  manager, like RHEL/CentOS 7.
  So, in order to ensure we use the right package manager, we check for
  the 'yum-deprecated' binary and use it if it exists.
- Restructure low level topic (iso_to_usb)
  The low level topic references information from the base
  topic. In this case the name of the previously built image.
  I think we should provide information on each low level
  topic which references information from a base topic.
- Handle rpm-check-signatures flag for each package manager
  This commit adds support for the rpm-check-signatures flag, which
  sets the package manager to verify or not each package signature.
  By default KIWI assumes no gpg checks are done.
- Separate low-level topics (dumping)
  * Separate the high-level (building) from the low-level part (dumping)
  * Introduce a subsection ("Working with Images"); not sure, if this is
    useful under "Building Images"
  * Enhance with some (general) advise about booting from USB
- Provide missing _hybrid_iso label
- Fixup check_target_directory_not_in_shared_cache
  The runtime check compared the given target path if it starts
  with the cache directory /var/cache/kiwi. This however also
  matches for e.g /var/cache/kiwi-foo which would be a valid
  target directory. This patch changes the matcher in a way to
  really check if the target directory points to the same cache
  directory structure.
- Set default dracut output format to match upstream
- Added dracut output file format detection
  Unfortunately the dracut initrd output file format varies between
  the different Linux distributions. Tools like lsinitrd, and also
  grub2 rely on the initrd output file to be in that format.
  Thus when kiwi uses dracut the same file format should be used
  all over the place in order to stay compatible with what the
  distribution does. Fixes #325
- Revised example for issue #323
  * Add abstract (use `.. sidebar`, not sure if we should use it)
  * Collect all concept oriented text in the beginning
  * Introduce procedure and create steps
  * Remove lonely subsection and combine it with the procedure
    TODO:
  * Review
  * Decide, if `.. sidebar` is ok (or should we better use `.. topic`?)
  * Add additional, related information?
- Bump version: 9.6.0 ? 9.6.1
- Update build docker images documentation
  This commit includes steps to install umoci and skopeo, descriptions
  for the configurable metadata in KIWI and some simple style fixes.
- Fixed tox.ini doc target
  location of schema docs has changed, and we better disable
  the spell check as long as not all unknown technical terms
  are added to the wordlist.txt
- Use correct service name variable
- Refactor documentation layout and structure
  The current design of the documentation does not allow for
  continous improvement and development. It's missing a basic
  structure and concept for documenting step-by-step workflows
  and generic explanations.
- Remove erroneous statement in request_package_exclusion() for Yum+DNF
- Fixed markup in contributing chapter
  The headline of a subsection wrongly indicates a toplevel entry
- Evaluate UNIONFS_CONFIG filesystem
  This commit makes sure the filesystem is parsed from the
  UNIONFS_CONFIG configuration variable when the PXE image is
  loaded to a block device.
  This commit fixes #316
- Fixed GPL license text to match headers and spec
  source headers and spec file is pointing to GPL v3 but the
  license file was still at version 2
- Add support for excluding packages when using DNF
- Add support for excluding packages when using Yum
- Fix comment about Zypper locks to reflect reality

==== python-ldap ====
Version update (2.4.30 -> 2.4.39)

- update to upstream release 2.4.39
- provide python2-ldap to support singlespec packages
- update to upstream release 2.4.38
- update to upstream release 2.4.37

==== python-qt5 ====
Subpackages: python-qt5-utils python2-qt5

- Add reproducible.patch to sort input files to make build fully reproducible
- Fix issues with requires.

==== python-sip ====
Subpackages: python-sip-common python2-sip python2-sip-devel

- Provide a basic api version macro

==== rhino ====

- New build dependency: javapackages-local
- spec cleaned using spec-cleaner

==== rsyslog ====
Version update (8.26.0 -> 8.27.0)

Version 8.27.0 [v8-stable] 2017-05-16
- imkafka: add module
- imptcp enhancements:
  * optionally emit an error message if incoming messages are truncated
  * optionally emit connection tracking message (on connection create and
    close)
  * add "maxFrameSize" parameter to specify the maximum size permitted
    in octet-counted mode
  * add parameter "discardTruncatedMsg" to permit truncation of
    oversize messages
  * improve octect-counted mode detection: if the octet count is larger
    then the set frame size (or overly large in general), it is now
    assumed that octet-stuffing mode is used. This probably solves a
    number of issues seen in real deployments.
- imtcp enhancements:
  * add parameter "discardTruncatedMsg" to permit truncation of
    oversize messages
  * add "maxFrameSize" parameter to specify the maximum size permitted
    in octet-counted mode
- imfile bugfix: "file not found error" repeatedly being reported
  for configured non-existing file. In polling mode, this message
  appeared once in each polling cycle, causing a potentially very large
  amout of error messages. Note that they were usually emitted too
  infrequently to trigger the error message rate limiter, albeit often
  enough to be a major annoance.
- imfile: in inotify mode, add error message if configured file cannot
  be found
- imfile: add parameter "fileNotFoundError" to optinally disable
  "file not found" error messages
- core: replaced gethostbyname() with getaddrinfo() call
  Gethostbyname() is generally considered obsolete, is not reentrant and
  cannot really work with IPv6. Changed the only place in rsyslog where
  this call remained.
  Thanks to github user jvymazal for the patch
- omkafka: add "origin" field to stats output
  See also https://github.com/rsyslog/rsyslog/issues/1508
  Thanks to Yury Bushmelev for providing the patch.
- imuxsock: rate-limiting also uses process name
  both for the actual limit procesing as well as warning messages emitted
  see also https://github.com/rsyslog/rsyslog/pull/1520
  Thanks to github user jvymazal for the patch
- Added new module: KSI log signing ver. 1.2 (lmsig_ksi_ls12)
- rsylsog base functionality now builds on osx (Mac)
  Thanks to github user hdatma for his help in getting this done.
- build now works on solaris again
- imfile: fix cross-platform build issue
  see also https://github.com/rsyslog/rsyslog/issues/1494
  Thanks to Felix Janda for bug report and solution suggestion.
- bugfix core: segfault when no parser could parse message

==== sac ====

- Fix build with new javapackages-tools

==== saxon6 ====

- Do not require javapackage-tools

==== saxon9 ====
Subpackages: saxon9-scripts

- New build dependency: javapackages-local

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Also set the default last session in sysconfig-support.patch
  (replaces boo949903.patch)
- Adjust 0003-Leave-duplicate-symlinks-out-of-the-SessionModel.patch
  to also handle symlinks for the last session
- Replace patch with newer version:
  * 0001-Also-theme-the-default-cursor-for-the-root-window.patch
- Add upstream patches:
  * 0001-Parse-desktop-file-sections.patch
  * 0002-Ignore-session-desktop-files-with-the-Hidden-propert.patch
- Add downstream patch:
  * 0003-Leave-duplicate-symlinks-out-of-the-SessionModel.patch
- Fix typo in sysconfig-support.patch (DYSPLAY -> DISPLAY)
- Use default.desktop as default autologin session file
- BuildRequire python-docutils instead of python3-docutils on SLE
- Add patch to fix the default X cursor appearing sometimes:
  * 0001-Also-theme-the-default-cursor-for-the-root-window.patch

==== simple-scan ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
  + Fix compilation with Vala 0.36.

==== skype4pidgin ====
Version update (1.2.2 -> 1.4)
Subpackages: libpurple-plugin-skype libpurple-plugin-skypeweb pidgin-plugin-skype pidgin-plugin-skypeweb

- Update to version 1.4 (changes since 1.2.2):
  * Skype4Business and Bot support.
  * libpurple 3.0 support.
  * Switch to the libpurple3 HTTP library - reduces CPU and disc
    load.
  * Receive contacts.
  * Updated status icons - Users that would previously show as
    "Away" will now show as "Idle".
  * Fix buddy authorisation requests and responses.
  * Auto reconnects when there's an error, so you shouldn't have
    to press the Re-Enable button.
  * Call display improvements.
  * Tooltips display for people with special characters (&, ', <, >)
    in their user info.
  * Can remove oneself from the buddy list.
  * Fix tiny-text being sent when copy-pasting into Pidgin.
  * File transfer and image transfer improvements.
  * Allow clearing out one's "Mood" message, so it won't show
    "I'm not here right now" when one is actually Online.
  * Better error messages when a message failed to send.
  * Fix add/remove/block/unblock buddies.
  * Fix some users unable to login.

==== solid ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5Solid5 solid-devel solid-imports solid-tools

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Adding files missing from last commit.
  * Fix incorrect definition of major(3)/minor(3) macros.
  * cmake: stop documenting non-existing variables
  * Add include that is needed in msys2

==== sonnet ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetUi5 sonnet-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None

==== sqlite3 ====
Version update (3.18.0 -> 3.19.2)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- Update to 3.19.2
  * Fix a bug in the LEFT JOIN flattening optimization.
    Ticket cad1ab4cb7b0fc.
  * Fix more bugs in the LEFT JOIN flattening optimization.
    Ticket 7fde638e94287d2c.
- Update to 3.19.0
  * The SQLITE_READ authorizer callback is invoked once with a
    column name that is an empty string for every table referenced
    in a query from which no columns are extracted.
  * When using an index on an expression, try to use expression
    values already available in the index, rather than loading
    the original columns and recomputing the expression.
  * Enhance the flattening optimization so that it is able to
    flatten views on the right-hand side of a LEFT JOIN.
  * Use replace() instead of char() for escaping newline and
    carriage-return characters embedded in strings in the .dump
    output from the command-line shell.
  * Avoid unnecessary foreign key processing in UPDATE statements
    that do not touch the columns that are constrained by the
    foreign keys.
  * On a DISTINCT query that uses an index, try to skip ahead
    to the next distinct entry using the index rather than
    stepping through rows, when an appropriate index is available.
  * Avoid unnecessary invalidation of sqlite3_blob handles
    when making changes to unrelated tables.
  * Transfer any terms of the HAVING clause that use only
    columns mentioned in the GROUP BY clause over to the
    WHERE clause for faster processing.
  * Reuse the same materialization of a VIEW if that VIEW
    appears more than once in the same query.
  * Enhance PRAGMA integrity_check so that it identifies
    tables that have two or more rows with the same rowid.
  * Enhance the FTS5 query syntax so that column filters
    may be applied to arbitrary expressions.
  * Enhance the json_extract() function to cache and
    reuse parses of JSON input text.
  * Added the anycollseq.c loadable extension that allows a
    generic SQLite database connection to read a schema that
    contains unknown and/or application-specific collating sequences.
  * Fix a problem in REPLACE that can result in a corrupt
    database containing two ore more rows with the same rowid.
    Fix for ticket f68dc596c4e6018d.
  * Fix a problem in PRAGMA integrity_check that was causing a
    subsequent VACUUM to behave suboptimally.
    so that it works correctly with foreign keys on WITHOUT ROWID tables.
  * Disallow leading zeros in numeric constants in JSON.
    Fix for ticket b93be8729a895a528e2.
  * Disallow control characters inside of strings in JSON.
    Fix for ticket 6c9b5514077fed34551.
  * Limit the depth of recursion for JSON objects and arrays in orde
    to avoid excess stack usage in the recursive descent parser.
    Fix for ticket 981329adeef51011052.

==== sshfs ====

- Spec file:
  Correct URL from Sourceforge to GitHub (the SF URL is redirected
  to GH anyway)

==== sudo ====

- Fix a vulnerability in Sudo's get_process_ttyname() leading to
  privlage elevation.
  * sudo-1.8.19p2-CVE-2017-1000367.patch
  * CVE-2017-1000367
  * bsc#1039361

==== syntax-highlighting ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5SyntaxHighlighting5

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Add Arduino extension
  * debchangelog: add Ubuntu Artful
  * Adapt test reference data to changes in the input data
  * LaTeX: Fix Incorrect termination of \iffalse comments (kde#378487)

==== systemsettings5 ====
Version update (5.9.5 -> 5.10.0)
Subpackages: systemsettings5-devel

- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * None
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * Fix terminology: "by KDE", not "for KDE"
  * Hide tooltips after clicking items
  * Port tooltips to KToolTipWidget
  * proofread/update systemsettings docbook
  * add the subgroup accessibility to personalization RR: 129035

==== threadweaver ====
Version update (5.33.0 -> 5.34.0)
Subpackages: libKF5ThreadWeaver5 threadweaver-devel

- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Fix some CMake warnings

==== tmux ====
Version update (2.4 -> 2.5)

- update to 2.5
- dropped tmux_issue889.patch
- refresh tmux-socket-path.patch
  * new stable release

==== vala ====
Version update (0.36.2 -> 0.36.3)
Subpackages: libvala-0_36-0

- Update to version 0.36.3:
  + Various bug fixes:
  - scanner: Fix calculation of column value for tokens after
    multiline comment (bgo#652899).
  - codegen: Unref GLib.AsyncResult on uncaught errors in
    coroutines (bgo#641171).
  - Keep initializing result-variable for struct constructors
    (bgo[#782056).

==== vte2 ====
Subpackages: libvte9 vte2-lang

- Drop libgladeui-1_0-devel BuildRequires and stop passing
  - -enable-glade-catalogue to configure, no longer build glade
  integration.
- Following the above, drop glade3-catalog-vte subpackage and
  obsolete it from develpackage to ensure it will be removed from
  users systems.

==== webkit2gtk3 ====
Version update (2.16.2 -> 2.16.3)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37 typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0 webkit2gtk-4_0-injected-bundles

- Update to version 2.16.3:
  + Fix URL shown in the title of beforeunload dialogs.
  + Focus first input field of HTTP authentication dialog.
  + Fix rendering glitches in HiDPI in long GitHub Gist pages when
    focusing the comments textarea.
  + Remove Firefox user agent quirk for Google domains.
  + Remove LATEST_RECORD_VERSION from GnuTLS priority string.
  + Fix several crashes and rendering issues.
  + Security fixes: CVE-2017-2496, CVE-2017-2539, CVE-2017-2510.
- Drop ncurses-devel BuildRequires: this is no longer required.

==== xerces-j2 ====
Subpackages: xerces-j2-xml-apis xerces-j2-xml-resolver

- BuildIgnore more main java versions to stick to gcj

==== xml-commons ====
Subpackages: xml-commons-jaxp-1.2-apis xml-commons-jaxp-1.3-apis xml-commons-resolver11

- Add BuildRequires: javapackages-local (for maven conversions)
- .spec file cleanup

==== xmlgraphics-batik ====
Version update (1.8 -> 1.9)

- Version update to batik 1.9:
  * No obvious upstream changelog
- Refresh patch xmlgraphics-batik-manifests.patch
- Refresh patch xmlgraphics-batik-policy.patch
- Add BuildRequires: javapackages-local (for maven conversions)

==== xmlgraphics-commons ====

- Add BuildRequires: javapackages-local (for maven conversions)


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Acrobat Reader (was: New Tumbleweed snapshot 20170601 released!)

Achim Gratz

One of the unexpected fallouts of installing that jumbo snapshot was
that the (inofficial) acroread package no longer works (I've removed the
old 32bit version and tried a newer 64bit build with the same result).
Starting the binary seems to hit some SEGV / NULL dereference after
dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
how to recover acroread?


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Terratec KOMPLEXER:
http://Synth.Stromeko.net/Downloads.html#KomplexerWaves

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Carlos E. R.-2
On 2017-06-03 21:10, Achim Gratz wrote:
>
> One of the unexpected fallouts of installing that jumbo snapshot was
> that the (inofficial) acroread package no longer works (I've removed the
> old 32bit version and tried a newer 64bit build with the same result).
> Starting the binary seems to hit some SEGV / NULL dereference after
> dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
> how to recover acroread?

How about an strace?

--
Cheers / Saludos,

                Carlos E. R.
                (from 42.2 x86_64 "Malachite" at Telcontar)


signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Achim Gratz
In reply to this post by Achim Gratz
Achim Gratz writes:
> One of the unexpected fallouts of installing that jumbo snapshot was
> that the (inofficial) acroread package no longer works (I've removed the
> old 32bit version and tried a newer 64bit build with the same result).
> Starting the binary seems to hit some SEGV / NULL dereference after
> dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
> how to recover acroread?

I meanwhile installed AcroRead XI under Wine, but it isn't possible to
update it using the later patch packages. and it's cumbersome to use.
So I'd still like to recover functionality for the old Linux version if
at all possible.

One of the things I missed in the Linux programs was a true single page
mode, i.e. always showing one full page.  It turns out that okular does
have that by now if you manage to find and deselect the "Continous"
option in the View menu.


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf Blofeld:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Aleksa Sarai
>> One of the unexpected fallouts of installing that jumbo snapshot was
>> that the (inofficial) acroread package no longer works (I've removed the
>> old 32bit version and tried a newer 64bit build with the same result).
>> Starting the binary seems to hit some SEGV / NULL dereference after
>> dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
>> how to recover acroread?
>
> I meanwhile installed AcroRead XI under Wine, but it isn't possible to
> update it using the later patch packages. and it's cumbersome to use.
> So I'd still like to recover functionality for the old Linux version if
> at all possible.
>
> One of the things I missed in the Linux programs was a true single page
> mode, i.e. always showing one full page.  It turns out that okular does
> have that by now if you manage to find and deselect the "Continous"
> option in the View menu.

Zathura has this as well, and it's very minimal with vim-like
keybindings. I use it for presentations.

--
Aleksa Sarai
Software Engineer (Containers)
SUSE Linux GmbH
https://www.cyphar.com/
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Achim Gratz
In reply to this post by Achim Gratz
Achim Gratz writes:
> One of the unexpected fallouts of installing that jumbo snapshot was
> that the (inofficial) acroread package no longer works (I've removed the
> old 32bit version and tried a newer 64bit build with the same result).
> Starting the binary seems to hit some SEGV / NULL dereference after
> dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
> how to recover acroread?

So I've tried to replace the exec of the acroread binary with a
catchsegv and get this (three times):

ERROR: ld.so: object '/usr/lib/Adobe/Reader9/Reader/intellinux/lib/suse-do-not-grab-server.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.

The lib in question shows as

/usr/lib/Adobe/Reader9/Reader/intellinux/lib/suse-do-not-grab-server.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=f77ce5f26f25a200950d34316dce4ae1c3b152da, with debug_info, not stripped

like others in the same directory.  If I suppress the preload, then the
program does in fact grab the X11 server and the program needs to be
killed hard from the console.

I guess the problem here really is that catchsegv also uses an
LD_PRELOAD and 64bit/32bit can't be mixed, but I've no idea how to work
around that.  Simply preloading the 32bit libSegFault.so as well doesn't
seem to do anything useful.

I tried to run it in gdb next and that gives this stack trace:

Thread 1 (Thread 0xf4bc7c00 (LWP 6601)):
#0  0xf626b703 in __strpbrk_sse42 () from /lib/libc.so.6
#1  0xf65dac81 in pango_language_matches () from /usr/lib/libpango-1.0.so.0
#2  0xf65dadde in ?? () from /usr/lib/libpango-1.0.so.0
#3  0xf65dae85 in pango_language_get_sample_string () from /usr/lib/libpango-1.0.so.0
#4  0xf557639f in ?? () from /usr/lib/libpangocairo-1.0.so.0
#5  0xf65dc4f9 in ?? () from /usr/lib/libpango-1.0.so.0
#6  0xf65df32e in pango_layout_line_get_extents () from /usr/lib/libpango-1.0.so.0
#7  0xf67de673 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#8  0xf67de9db in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#9  0xf65705c8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#10 0xf65834e1 in ?? () from /usr/lib/libgobject-2.0.so.0
#11 0xf658be69 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#12 0xf658c625 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#13 0xf6972554 in gtk_widget_realize () from /usr/lib/libgtk-x11-2.0.so.0
#14 0xf6973a11 in gtk_widget_set_parent () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x0852690c in _start ()

…which seems to suggest that something in libpango doesn't get checked
thoroughly enough while the initial window gets set up.  I'm out of
ideas on what to try next.


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptation for Waldorf microQ V2.22R2:
http://Synth.Stromeko.net/Downloads.html#WaldorfSDada

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Carlos E. R.-2
On 2017-06-26 12:53, Achim Gratz wrote:

...

> …which seems to suggest that something in libpango doesn't get checked
> thoroughly enough while the initial window gets set up.  I'm out of
> ideas on what to try next.

I'm very interested in this issue, but unfortunately I can not help. I
don't know enough.

Worst come to worst, I'd have to run acroread in a virtual machine.

--
Cheers / Saludos,

                Carlos E. R.
                (from 42.2 x86_64 "Malachite" at Telcontar)


signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader (was: New Tumbleweed snapshot 20170601 released!)

Rainer Klier-6
In reply to this post by Achim Gratz
hi,

Am Samstag, den 03.06.2017, 21:10 +0200 schrieb Achim Gratz:
> One of the unexpected fallouts of installing that jumbo snapshot was
> that the (inofficial) acroread package no longer works (I've removed the
> old 32bit version and tried a newer 64bit build with the same result).
> Starting the binary seems to hit some SEGV / NULL dereference after
> dealing with a lot of font stuff and gtk-im.  Does anyone have an idea
> how to recover acroread?

i think this also hits me now.
no more acroread.
also the version from ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/
does not work anymore.

and this version does not use suse-do-not-grab-server.so library.

do you have solved the problem?
--
Freundliche Grüße | Cordialement | Cordiali Saluti | Atenciosamente
DI Rainer Klier
Research & Development, DevOps
Namirial GmbH
N�����r��y隊Z)z{.���r�+�맲��r��z�^�ˬz��N�(�֜��^� ޭ隊Z)z{.���r�+��0�����Ǩ�
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader (was: New Tumbleweed snapshot 20170601 released!)

Thorsten Kukuk
On Thu, Aug 03, Rainer Klier wrote:

> i think this also hits me now.
> no more acroread.
> also the version from ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/
> does not work anymore.
>
> and this version does not use suse-do-not-grab-server.so library.
>
> do you have solved the problem?

I'm using okular from KDE. Never had any problems with that, even with
formulars in PDFs.

  Thorsten

--
Thorsten Kukuk, Distinguished Engineer, Senior Architect SLES & CaaSP
SUSE LINUX GmbH, Maxfeldstr. 5, 90409 Nuernberg, Germany
GF: Felix Imendoerffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nuernberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader (was: New Tumbleweed snapshot 20170601 released!)

Bruno Friedmann-2
On jeudi, 3 août 2017 15.57:57 h CEST Thorsten Kukuk wrote:

> On Thu, Aug 03, Rainer Klier wrote:
> > i think this also hits me now.
> > no more acroread.
> > also the version from
> > ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/ does not work
> > anymore.
> >
> > and this version does not use suse-do-not-grab-server.so library.
> >
> > do you have solved the problem?
>
> I'm using okular from KDE. Never had any problems with that, even with
> formulars in PDFs.
>
>   Thorsten

okular just lack the ability to check digital signature ;-]

--

Bruno Friedmann
 Ioda-Net Sàrl www.ioda-net.ch
 Bareos Partner, openSUSE Member, fsfe fellowship
 GPG KEY : D5C9B751C4653227
 irc: tigerfoot


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader (was: New Tumbleweed snapshot 20170601 released!)

Vojtěch Zeisek-2
In reply to this post by Thorsten Kukuk
Dne čtvrtek 3. srpna 2017 15:57:57 CEST, Thorsten Kukuk napsal(a):

> On Thu, Aug 03, Rainer Klier wrote:
> > i think this also hits me now.
> > no more acroread.
> > also the version from
> > ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/ does not work
> > anymore.
> >
> > and this version does not use suse-do-not-grab-server.so library.
> >
> > do you have solved the problem?
>
> I'm using okular from KDE. Never had any problems with that, even with
> formulars in PDFs.
Lucky You. If I try to open PDF with formulars from [1]. I see alert saying
"this document contains XFA formulars, which currently is not supported" and
instead of document I see only:
Please wait...
If this message is not eventually replaced by the proper contents of the
document, your PDF
viewer may not be able to display this type of document.
You can upgrade to the latest version of Adobe Reader for Windows®, Mac, or
Linux® by
visiting http://www.adobe.com/go/reader_download.
For more assistance with Adobe Reader visit http://www.adobe.com/go/acrreader.
Windows is either a registered trademark or a trademark of Microsoft
Corporation in the United States and/or other countries. Mac is a trademark
of Apple Inc., registered in the United States and other countries. Linux is
the registered trademark of Linus Torvalds in the U.S. and other
countries.
This issue has been discussed several times, I don't know any real solution...

[1] https://www.natur.cuni.cz/fakulta/formulare/formulare/

--
Vojtěch Zeisek
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Carlos E. R.-2
In reply to this post by Thorsten Kukuk
On 2017-08-03 15:57, Thorsten Kukuk wrote:

> On Thu, Aug 03, Rainer Klier wrote:
>
>> i think this also hits me now.
>> no more acroread.
>> also the version from ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/
>> does not work anymore.
>>
>> and this version does not use suse-do-not-grab-server.so library.
>>
>> do you have solved the problem?
>
> I'm using okular from KDE. Never had any problems with that, even with
> formulars in PDFs.
It doesn't support javascript, and some forms use it. No Linux PDF
viewer does.

Also, signature keys are not supported (except by Libre Office, at least
for creation).

There are some PDF files that do not display correctly except on adobe
reader.


--
Cheers / Saludos,

                Carlos E. R.
                (from 42.2 x86_64 "Malachite" at Telcontar)


signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Marcus Meissner
On Thu, Aug 03, 2017 at 04:54:05PM +0200, Carlos E. R. wrote:

> On 2017-08-03 15:57, Thorsten Kukuk wrote:
> > On Thu, Aug 03, Rainer Klier wrote:
> >
> >> i think this also hits me now.
> >> no more acroread.
> >> also the version from ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/
> >> does not work anymore.
> >>
> >> and this version does not use suse-do-not-grab-server.so library.
> >>
> >> do you have solved the problem?
> >
> > I'm using okular from KDE. Never had any problems with that, even with
> > formulars in PDFs.
>
> It doesn't support javascript, and some forms use it. No Linux PDF
> viewer does.

Actually new okular has some support for forms I remember.

Ciao, Marcus
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Carlos E. R.-2
In reply to this post by Vojtěch Zeisek-2
On 2017-08-03 16:17, Vojtěch Zeisek wrote:
> Dne čtvrtek 3. srpna 2017 15:57:57 CEST, Thorsten Kukuk napsal(a):


>> I'm using okular from KDE. Never had any problems with that, even with
>> formulars in PDFs.
>
> Lucky You. If I try to open PDF with formulars from [1]. I see alert saying
> "this document contains XFA formulars, which currently is not supported" and
> instead of document I see only:

Can you post a link with a sample? The one you posted requires
login/password.



> This issue has been discussed several times, I don't know any real solution...

Yes.

I still have got to try the new linux version of Foxit, though.

>
> [1] https://www.natur.cuni.cz/fakulta/formulare/formulare/
>


--
Cheers / Saludos,

                Carlos E. R.
                (from 42.2 x86_64 "Malachite" at Telcontar)


signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Vojtěch Zeisek-2
Dne 3.8.2017 v 20:47 Carlos E. R. napsal(a):

> On 2017-08-03 16:17, Vojtěch Zeisek wrote:
>> Dne čtvrtek 3. srpna 2017 15:57:57 CEST, Thorsten Kukuk napsal(a):
>>> I'm using okular from KDE. Never had any problems with that, even with
>>> formulars in PDFs.
>>
>> Lucky You. If I try to open PDF with formulars from [1]. I see alert saying
>> "this document contains XFA formulars, which currently is not supported" and
>> instead of document I see only:
>
> Can you post a link with a sample? The one you posted requires
> login/password.
Sorry, I keep being logged there...

>> This issue has been discussed several times, I don't know any real solution...
>
> Yes.
>
> I still have got to try the new linux version of Foxit, though.-
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/cs

zadost_o_poskytnuti_neplaceneho_volna_2016.pdf (411K) Download Attachment
signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Carlos E. R.-2
In reply to this post by Marcus Meissner
On 2017-08-03 16:55, Marcus Meissner wrote:

> On Thu, Aug 03, 2017 at 04:54:05PM +0200, Carlos E. R. wrote:
>> On 2017-08-03 15:57, Thorsten Kukuk wrote:
>>> On Thu, Aug 03, Rainer Klier wrote:
>>>
>>>> i think this also hits me now.
>>>> no more acroread.
>>>> also the version from ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/
>>>> does not work anymore.
>>>>
>>>> and this version does not use suse-do-not-grab-server.so library.
>>>>
>>>> do you have solved the problem?
>>>
>>> I'm using okular from KDE. Never had any problems with that, even with
>>> formulars in PDFs.
>>
>> It doesn't support javascript, and some forms use it. No Linux PDF
>> viewer does.
>
> Actually new okular has some support for forms I remember.
Yes, /some/ support :-)

I have a sample form downloaded years ago from
"http://smarte-forms.com/wp/wp-content/uploads/2011/03/birth-certificate-application-eform-tt-sample.pdf".
Now gives "ERROR 404: Not Found."

Okular displays this text:

  "This document has XFA forms, which are currently unsupported."

The page has buttons that do not work in okular. Also, there is context
help for each field when I hover with the mouse, in adobe, but not in
okular.

Otherwise, it displays similar to acroread, and possibly prints
correctly. I have not tested to generate a PDF with the fields filled,
but IIRC, it should work. If not, print to file.


The document is also signed, but there is no information of this in okular.


(I have tested using Leap 42.3, but I can also test with TW another day)


--
Cheers / Saludos,

                Carlos E. R.
                (from 42.2 x86_64 "Malachite" at Telcontar)


signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Michal Kubecek
In reply to this post by Carlos E. R.-2
On Thursday, 3 August 2017 20:47 Carlos E. R. wrote:

> On 2017-08-03 16:17, Vojtěch Zeisek wrote:
> > Dne čtvrtek 3. srpna 2017 15:57:57 CEST, Thorsten Kukuk napsal(a):
> >> I'm using okular from KDE. Never had any problems with that, even
> >> with formulars in PDFs.
> >
> > Lucky You. If I try to open PDF with formulars from [1]. I see alert
> > saying "this document contains XFA formulars, which currently is
> > not supported" and
> > instead of document I see only:
> Can you post a link with a sample? The one you posted requires
> login/password.

You can try e.g.

  http://www.financnisprava.cz/assets/tiskopisy/IF_5401_20.pdf?201708040722

The form is in Czech but it shouldn't matter as the difference between
what you see in Adobe/Acrobat Reader and what you see in okular is quite
obvious even if you don't understand the text.

Michal Kubeček

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Michal Kubecek
In reply to this post by Marcus Meissner
On Thursday, 3 August 2017 16:55 Marcus Meissner wrote:
> On Thu, Aug 03, 2017 at 04:54:05PM +0200, Carlos E. R. wrote:
> > It doesn't support javascript, and some forms use it. No Linux PDF
> > viewer does.
>
> Actually new okular has some support for forms I remember.

Forms in general are not a problem, only XFA forms:

  https://en.wikipedia.org/wiki/XFA

Michal Kubeček

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Guadagnino Cristiano
In reply to this post by Vojtěch Zeisek-2
Hi all!

On 03/08/2017 21:15, Vojtěch Zeisek wrote:

> Dne 3.8.2017 v 20:47 Carlos E. R. napsal(a):
>> On 2017-08-03 16:17, Vojtěch Zeisek wrote:
>>> Dne čtvrtek 3. srpna 2017 15:57:57 CEST, Thorsten Kukuk napsal(a):
>>>> I'm using okular from KDE. Never had any problems with that, even with
>>>> formulars in PDFs.
>>> Lucky You. If I try to open PDF with formulars from [1]. I see alert saying
>>> "this document contains XFA formulars, which currently is not supported" and
>>> instead of document I see only:
>> Can you post a link with a sample? The one you posted requires
>> login/password.
> Sorry, I keep being logged there...
>
>>> This issue has been discussed several times, I don't know any real solution...
>> Yes.
>>
>> I still have got to try the new linux version of Foxit, though.-
> Vojtěch Zeisek
>
> Komunita openSUSE GNU/Linuxu
> Community of the openSUSE GNU/Linux
>
> https://www.opensuse.org/
> https://trapa.cz/cs

Master PDF Editor works correctly with the sample you posted.
You can find it here: http://code-industry.net.
It's commercial but it has a free (as in beer) version too.

Hope this helps...
Cris

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Acrobat Reader

Mark Goldstein
Hi,

On Fri, Aug 4, 2017 at 10:09 AM, Cristiano Guadagnino
<[hidden email]> wrote:
> Master PDF Editor works correctly with the sample you posted.
> You can find it here: http://code-industry.net.
> It's commercial but it has a free (as in beer) version too.
>

This one looks really interesting, but unfortunately bidirectional
text seems not supported, as in okular.

--
Mark Goldstein
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

12